<?php
$lib_dir = trailingslashit( str_replace( '\\', '/', get_template_directory() . '/lib/' ) );

if( !defined('BOSMARKET_DIR') ){
	define( 'BOSMARKET_DIR', $lib_dir );
}

if( !defined('BOSMARKET_URL') ){
	define( 'BOSMARKET_URL', trailingslashit( get_template_directory_uri() ) . 'lib' );
}

if (!isset($content_width)) { $content_width = 940; }

define("BOSMARKET_PRODUCT_TYPE","product");
define("BOSMARKET_PRODUCT_DETAIL_TYPE","product_detail");

if ( !defined('SW_THEME') ){
	define( 'SW_THEME', 'bosmarket_theme' );
}
require_once( get_template_directory().'/lib/options.php' );

if( class_exists( 'SW_Options' ) ) :
	function bosmarket_Options_Setup(){
		global $sw_options, $options, $options_args;

		$options = array();
		$options[] = array(
			'title' => esc_html__('General', 'bosmarket'),
			'desc' => wp_kses( __('<p class="description">The theme allows to build your own styles right out of the backend without any coding knowledge. Upload new logo and favicon or get their URL.</p>', 'bosmarket'), array( 'p' => array( 'class' => array() ) ) ),
			//all the glyphicons are included in the options folder, so you can hook into them, or link to your own custom ones.
			//You dont have to though, leave it bosmarket for default.
			'icon' => BOSMARKET_URL.'/admin/img/glyphicons/glyphicons_019_cogwheel.png',
			//Lets leave this as a bosmarket section, no options just some intro text set above.
			'fields' => array(	

				array(
					'id' => 'sitelogo',
					'type' => 'upload',
					'title' => esc_html__('Logo Image', 'bosmarket'),
					'sub_desc' => esc_html__( 'Use the Upload button to upload the new logo and get URL of the logo', 'bosmarket' ),
					'std' => get_template_directory_uri().'/assets/img/logo-default.png'
					),

				array(
					'id' => 'favicon',
					'type' => 'upload',
					'title' => esc_html__('Favicon', 'bosmarket'),
					'sub_desc' => esc_html__( 'Use the Upload button to upload the custom favicon', 'bosmarket' ),
					'std' => ''
					),

				array(
					'id' => 'tax_select',
					'type' => 'multi_select_taxonomy',
					'title' => esc_html__('Select Taxonomy', 'bosmarket'),
					'sub_desc' => esc_html__( 'Select taxonomy to show custom term metabox', 'bosmarket' ),
					),

				array(
					'id' => 'title_length',
					'type' => 'text',
					'title' => esc_html__('Title Length Of Item Listing Page', 'bosmarket'),
					'sub_desc' => esc_html__( 'Choose title length if you want to trim word, leave 0 to not trim word', 'bosmarket' ),
					'std' => 0
					),	

				array(
					'id' => 'page_404',
					'type' => 'pages_select',
					'title' => esc_html__('404 Page Content', 'bosmarket'),
					'sub_desc' => esc_html__('Select page 404 content', 'bosmarket'),
					'std' => ''
					)	
				)		
			);

		$options[] = array(
			'title' => esc_html__('Schemes', 'bosmarket'),
			'desc' => wp_kses( __('<p class="description">Custom color scheme for theme. Unlimited color that you can choose.</p>', 'bosmarket'), array( 'p' => array( 'class' => array() ) ) ),
			//all the glyphicons are included in the options folder, so you can hook into them, or link to your own custom ones.
			//You dont have to though, leave it bosmarket for default.
			'icon' => BOSMARKET_URL.'/admin/img/glyphicons/glyphicons_163_iphone.png',
			//Lets leave this as a bosmarket section, no options just some intro text set above.
			'fields' => array(		
				array(
					'id' => 'scheme',
					'type' => 'radio_img',
					'title' => esc_html__('Color Scheme', 'bosmarket'),
					'sub_desc' => esc_html__( 'Select one of 2 predefined schemes', 'bosmarket' ),
					'desc' => '',
					'options' => array(
						'default' => array('title' => 'Default', 'img' => get_template_directory_uri().'/assets/img/default.png'),
						'orange' => array('title' => 'Orange', 'img' => get_template_directory_uri().'/assets/img/orange.png'),
						'orange2' => array('title' => 'Orange2', 'img' => get_template_directory_uri().'/assets/img/orange2.png'),
						'pink' => array('title' => 'Pink', 'img' => get_template_directory_uri().'/assets/img/pink.png'),
						'blue' => array('title' => 'Blue', 'img' => get_template_directory_uri().'/assets/img/blue.png'),
						'green' => array('title' => 'Green', 'img' => get_template_directory_uri().'/assets/img/green.png'),
									), //Must provide key => value(array:title|img) pairs for radio options
					'std' => 'default'
					),
				
				array(
					'id' => 'custom_color',
					'title' => esc_html__( 'Enable Custom Color', 'bosmarket' ),
					'type' => 'checkbox',
					'sub_desc' => esc_html__( 'Check this field to enable custom color and when you update your theme, custom color will not lose.', 'bosmarket' ),
					'desc' => '',
					'std' => '0'
					),

				array(
					'id' => 'developer_mode',
					'title' => esc_html__( 'Developer Mode', 'bosmarket' ),
					'type' => 'checkbox',
					'sub_desc' => esc_html__( 'Turn on/off compile less to css and custom color', 'bosmarket' ),
					'desc' => '',
					'std' => '0'
					),

				array(
					'id' => 'scheme_color',
					'type' => 'color',
					'title' => esc_html__('Color', 'bosmarket'),
					'sub_desc' => esc_html__('Select main custom color.', 'bosmarket'),
					'std' => ''
					),

				array(
					'id' => 'scheme_body',
					'type' => 'color',
					'title' => esc_html__('Body Color', 'bosmarket'),
					'sub_desc' => esc_html__('Select main body custom color.', 'bosmarket'),
					'std' => ''
					),

				)
			);

		$options[] = array(
			'title' => esc_html__('Layout', 'bosmarket'),
			'desc' => wp_kses( __('<p class="description">SmartAddons Framework comes with a layout setting that allows you to build any number of stunning layouts and apply theme to your entries.</p>', 'bosmarket'), array( 'p' => array( 'class' => array() ) ) ),
			//all the glyphicons are included in the options folder, so you can hook into them, or link to your own custom ones.
			//You dont have to though, leave it bosmarket for default.
			'icon' => BOSMARKET_URL.'/admin/img/glyphicons/glyphicons_319_sort.png',
			//Lets leave this as a bosmarket section, no options just some intro text set above.
			'fields' => array(
				array(
					'id' => 'layout',
					'type' => 'select',
					'title' => esc_html__('Box Layout', 'bosmarket'),
					'sub_desc' => esc_html__( 'Select Layout Box or Wide', 'bosmarket' ),
					'options' => array(
						'full' => esc_html__( 'Default', 'bosmarket' ),
						'boxed' => esc_html__( 'Boxed', 'bosmarket' ),
						'wide' => esc_html__( 'Wide 1650', 'bosmarket' )
						),
					'std' => 'wide'
					),

				array(
					'id' => 'bg_box_img',
					'type' => 'upload',
					'title' => esc_html__('Background Box Image', 'bosmarket'),
					'sub_desc' => '',
					'std' => ''
					),
				array(
					'id' => 'sidebar_left_expand',
					'type' => 'select',
					'title' => esc_html__('Left Sidebar Expand', 'bosmarket'),
					'options' => array(
						'2' => '2/12',
						'3' => '3/12',
						'4' => '4/12',
						'5' => '5/12', 
						'6' => '6/12',
						'7' => '7/12',
						'8' => '8/12',
						'9' => '9/12',
						'10' => '10/12',
						'11' => '11/12',
						'12' => '12/12'
						),
					'std' => '3',
					'sub_desc' => esc_html__( 'Select width of left sidebar.', 'bosmarket' ),
					),

				array(
					'id' => 'sidebar_right_expand',
					'type' => 'select',
					'title' => esc_html__('Right Sidebar Expand', 'bosmarket'),
					'options' => array(
						'2' => '2/12',
						'3' => '3/12',
						'4' => '4/12',
						'5' => '5/12',
						'6' => '6/12',
						'7' => '7/12',
						'8' => '8/12',
						'9' => '9/12',
						'10' => '10/12',
						'11' => '11/12',
						'12' => '12/12'
						),
					'std' => '3',
					'sub_desc' => esc_html__( 'Select width of right sidebar medium desktop.', 'bosmarket' ),
					),
				array(
					'id' => 'sidebar_left_expand_md',
					'type' => 'select',
					'title' => esc_html__('Left Sidebar Medium Desktop Expand', 'bosmarket'),
					'options' => array(
						'2' => '2/12',
						'3' => '3/12',
						'4' => '4/12',
						'5' => '5/12',
						'6' => '6/12',
						'7' => '7/12',
						'8' => '8/12',
						'9' => '9/12',
						'10' => '10/12',
						'11' => '11/12',
						'12' => '12/12'
						),
					'std' => '4',
					'sub_desc' => esc_html__( 'Select width of left sidebar medium desktop.', 'bosmarket' ),
					),
				array(
					'id' => 'sidebar_right_expand_md',
					'type' => 'select',
					'title' => esc_html__('Right Sidebar Medium Desktop Expand', 'bosmarket'),
					'options' => array(
						'2' => '2/12',
						'3' => '3/12',
						'4' => '4/12',
						'5' => '5/12',
						'6' => '6/12',
						'7' => '7/12',
						'8' => '8/12',
						'9' => '9/12',
						'10' => '10/12',
						'11' => '11/12',
						'12' => '12/12'
						),
					'std' => '4',
					'sub_desc' => esc_html__( 'Select width of right sidebar.', 'bosmarket' ),
					),
				array(
					'id' => 'sidebar_left_expand_sm',
					'type' => 'select',
					'title' => esc_html__('Left Sidebar Tablet Expand', 'bosmarket'),
					'options' => array(
						'2' => '2/12',
						'3' => '3/12',
						'4' => '4/12',
						'5' => '5/12',
						'6' => '6/12',
						'7' => '7/12',
						'8' => '8/12',
						'9' => '9/12',
						'10' => '10/12',
						'11' => '11/12',
						'12' => '12/12'
						),
					'std' => '4',
					'sub_desc' => esc_html__( 'Select width of left sidebar tablet.', 'bosmarket' ),
					),
				array(
					'id' => 'sidebar_right_expand_sm',
					'type' => 'select',
					'title' => esc_html__('Right Sidebar Tablet Expand', 'bosmarket'),
					'options' => array(
						'2' => '2/12',
						'3' => '3/12',
						'4' => '4/12',
						'5' => '5/12',
						'6' => '6/12',
						'7' => '7/12',
						'8' => '8/12',
						'9' => '9/12',
						'10' => '10/12',
						'11' => '11/12',
						'12' => '12/12'
						),
					'std' => '4',
					'sub_desc' => esc_html__( 'Select width of right sidebar tablet.', 'bosmarket' ),
					),				
				)
			);

$options[] = array(
	'title' => esc_html__('Mobile Layout', 'bosmarket'),
	'desc' => wp_kses( __('<p class="description">WpThemeGo Framework comes with a mobile setting home page layout.</p>', 'bosmarket'), array( 'p' => array( 'class' => array() ) ) ),
		//all the glyphicons are included in the options folder, so you can hook into them, or link to your own custom ones.
		//You dont have to though, leave it bosmarket for default.
	'icon' => BOSMARKET_URL.'/admin/img/glyphicons/glyphicons_163_iphone.png',
		//Lets leave this as a bosmarket section, no options just some intro text set above.
	'fields' => array(		

		array(
			'id' => 'mobile_enable',
			'type' => 'checkbox',
			'title' => esc_html__('Enable Mobile Layout', 'bosmarket'),
			'sub_desc' => '',
			'desc' => '',
					'std' => '1'// 1 = on | 0 = off
					),

		array(
			'id' => 'mobile_logo',
			'type' => 'upload',
			'title' => esc_html__('Logo Mobile Image', 'bosmarket'),
			'sub_desc' => esc_html__( 'Use the Upload button to upload the new mobile logo', 'bosmarket' ),
			'std' => get_template_directory_uri().'/assets/img/logo-default.png'
			),
		
		array(
			'id' => 'mobile_logo_account',
			'type' => 'upload',
			'title' => esc_html__('Logo Mobile My Account Page', 'bosmarket'),
			'sub_desc' => esc_html__( 'Use the Upload button to upload the new mobile logo in my account page', 'bosmarket' ),
			'std' => get_template_directory_uri().'/assets/img/icon-myaccount.png'
			),

		array(
			'id' => 'sticky_mobile',
			'type' => 'checkbox',
			'title' => esc_html__('Sticky Mobile', 'bosmarket'),
			'sub_desc' => '',
			'desc' => '',
					'std' => '0'// 1 = on | 0 = off
					),

		array(
			'id' => 'mobile_content',
			'type' => 'pages_select',
			'title' => esc_html__('Mobile Layout Content', 'bosmarket'),
			'sub_desc' => esc_html__('Select content index for this mobile layout', 'bosmarket'),
			'std' => ''
			),

		array(
			'id' => 'mobile_header_style',
			'type' => 'select',
			'title' => esc_html__('Header Mobile Style', 'bosmarket'),
			'sub_desc' => esc_html__('Select header mobile style', 'bosmarket'),
			'options' => array(
				'mstyle1'  => esc_html__( 'Style 1', 'bosmarket' ),
				'mstyle2'  => esc_html__( 'Style 2', 'bosmarket' ),
				),
			'std' => 'style1'
			),

		array(
			'id' => 'mobile_footer_style',
			'type' => 'select',
			'title' => esc_html__('Footer Mobile Style', 'bosmarket'),
			'sub_desc' => esc_html__('Select footer mobile style', 'bosmarket'),
			'options' => array(
				'mstyle1'  => esc_html__( 'Style 1', 'bosmarket' ),
				'mstyle2'  => esc_html__( 'Style 2', 'bosmarket' ),
				),
			'std' => 'style1'
			),

		array(
			'id' => 'mobile_addcart',
			'type' => 'checkbox',
			'title' => esc_html__('Enable Add To Cart Button', 'bosmarket'),
			'sub_desc' => esc_html__( 'Enable Add To Cart Button on product listing', 'bosmarket' ),
			'desc' => '',
				'std' => '0'// 1 = on | 0 = off
				),
		
		array(
			'id' => 'mobile_header_inside',
			'type' => 'checkbox',
			'title' => esc_html__('Enable Header Other Pages', 'bosmarket'),
			'sub_desc' => esc_html__( 'Enable header in other pages which are different with homepage', 'bosmarket' ),
			'desc' => '',
				'std' => '0'// 1 = on | 0 = off
				),
		
		array(
			'id' => 'mobile_jquery',
			'type' => 'checkbox',
			'title' => esc_html__('Include Jquery Revolution', 'bosmarket'),
			'sub_desc' => esc_html__( 'Enable jquery revolution slider on mobile layout.', 'bosmarket' ),
			'desc' => '',
				'std' => '0'// 1 = on | 0 = off
				),

		)
	);

$options[] = array(
	'title' => esc_html__('Header & Footer', 'bosmarket'),
	'desc' => wp_kses( __('<p class="description">SmartAddons Framework comes with a header and footer setting that allows you to build style header.</p>', 'bosmarket'), array( 'p' => array( 'class' => array() ) ) ),
			//all the glyphicons are included in the options folder, so you can hook into them, or link to your own custom ones.
			//You dont have to though, leave it bosmarket for default.
	'icon' => BOSMARKET_URL.'/admin/img/glyphicons/glyphicons_336_read_it_later.png',
			//Lets leave this as a bosmarket section, no options just some intro text set above.
	'fields' => array(
		array(
			'id' => 'header_style',
			'type' => 'select',
			'title' => esc_html__('Header Style', 'bosmarket'),
			'sub_desc' => esc_html__('Select Header style', 'bosmarket'),
			'options' => array(
				'style1'  => esc_html__( 'Style 1', 'bosmarket' ),
				'style2'  => esc_html__( 'Style 2', 'bosmarket' ),
				'style3'  => esc_html__( 'Style 3', 'bosmarket' ),
				'style4'  => esc_html__( 'Style 4', 'bosmarket' ),
				'style5'  => esc_html__( 'Style 5', 'bosmarket' ),
				'style6'  => esc_html__( 'Style 6', 'bosmarket' ),
				'style7'  => esc_html__( 'Style 7', 'bosmarket' ),
				'style8'  => esc_html__( 'Style 8', 'bosmarket' ),
				'style9'  => esc_html__( 'Style 9', 'bosmarket' ),
				'style10'  => esc_html__( 'Style 10', 'bosmarket' ),
				),
			'std' => 'style1'
			),

		array(
			'id' => 'disable_search',
			'title' => esc_html__( 'Disable Search', 'bosmarket' ),
			'type' => 'checkbox',
			'sub_desc' => esc_html__( 'Check this to disable search on header', 'bosmarket' ),
			'desc' => '',
			'std' => '0'
			),

		array(
			'id' => 'disable_cart',
			'title' => esc_html__( 'Disable Cart', 'bosmarket' ),
			'type' => 'checkbox',
			'sub_desc' => esc_html__( 'Check this to disable cart on header', 'bosmarket' ),
			'desc' => '',
			'std' => '0'
			),				

		array(
			'id' => 'footer_style',
			'type' => 'pages_select',
			'title' => esc_html__('Footer Style', 'bosmarket'),
			'sub_desc' => esc_html__('Select Footer style', 'bosmarket'),
			'std' => ''
			),

		array(
			'id' => 'copyright_style',
			'type' => 'select',
			'title' => esc_html__('Copyright Style', 'bosmarket'),
			'sub_desc' => esc_html__('Select Copyright style', 'bosmarket'),
			'options' => array(
				'style1'  => esc_html__( 'Style 1', 'bosmarket' ),
				'style2'  => esc_html__( 'Style 2', 'bosmarket' ),
				'style3'  => esc_html__( 'Style 3', 'bosmarket' ),
				'style4'  => esc_html__( 'Style 4', 'bosmarket' ),
				'style5'  => esc_html__( 'Style 5', 'bosmarket' ),
				),
			'std' => 'style1'
			),

		array(
			'id' => 'footer_copyright',
			'type' => 'editor',
			'sub_desc' => '',
			'title' => esc_html__( 'Copyright text', 'bosmarket' )
			),	

		)
	);
$options[] = array(
	'title' => esc_html__('Navbar Options', 'bosmarket'),
	'desc' => wp_kses( __('<p class="description">If you got a big site with a lot of sub menus we recommend using a mega menu. Just select the dropbox to display a menu as mega menu or dropdown menu.</p>', 'bosmarket'), array( 'p' => array( 'class' => array() ) ) ),
			//all the glyphicons are included in the options folder, so you can hook into them, or link to your own custom ones.
			//You dont have to though, leave it bosmarket for default.
	'icon' => BOSMARKET_URL.'/admin/img/glyphicons/glyphicons_157_show_lines.png',
			//Lets leave this as a bosmarket section, no options just some intro text set above.
	'fields' => array(
		array(
			'id' => 'info_typon1',
			'type' => 'info',
			'title' => esc_html__( 'Navbar Menu General Config', 'bosmarket' ),
			'desc' => '',
			'class' => 'bosmarket-opt-info'
			),
		
		array(
			'id' => 'menu_type',
			'type' => 'select',
			'title' => esc_html__('Menu Type', 'bosmarket'),
			'options' => array( 
				'dropdown' => esc_html__( 'Dropdown Menu', 'bosmarket' ), 
				'mega' => esc_html__( 'Mega Menu', 'bosmarket' ) 
				),
			'std' => 'mega'
			),	
		
		array(
			'id' => 'menu_location',
			'type' => 'menu_location_multi_select',
			'title' => esc_html__('Mega Menu Location', 'bosmarket'),
			'sub_desc' => esc_html__( 'Select theme location to active mega menu.', 'bosmarket' ),
			'std' => 'primary_menu'
			),		
		
		array(
			'id' => 'sticky_menu',
			'type' => 'checkbox',
			'title' => esc_html__('Active sticky menu', 'bosmarket'),
			'sub_desc' => '',
			'desc' => '',
				'std' => '0'// 1 = on | 0 = off
				),
		
		array(
			'id' => 'more_menu',
			'type' => 'checkbox',
			'title' => esc_html__('Active More Menu', 'bosmarket'),
			'sub_desc' => esc_html__('Active more menu if your primary menu is too long', 'bosmarket'),
			'desc' => '',
				'std' => '0'// 1 = on | 0 = off
				),
		
		array(
			'id' => 'menu_event',
			'type' => 'select',
			'title' => esc_html__('Menu Event', 'bosmarket'),
			'options' => array( 
				'' 		=> esc_html__( 'Hover Event', 'bosmarket' ), 
				'click' => esc_html__( 'Click Event', 'bosmarket' ) 
				),
			'std' => ''
			),
		
		array(
			'id' => 'menu_number_item',
			'type' => 'text',
			'title' => esc_html__( 'Number Item Vertical', 'bosmarket' ),
			'sub_desc' => esc_html__( 'Number item vertical to show', 'bosmarket' ),
			'std' => 8
			),	
		
		array(
			'id' => 'menu_title_text',
			'type' => 'text',
			'title' => esc_html__('Vertical Title Text', 'bosmarket'),
			'sub_desc' => esc_html__( 'Change title text on vertical menu', 'bosmarket' ),
			'std' => ''
			),
		
		array(
			'id' => 'menu_more_text',
			'type' => 'text',
			'title' => esc_html__('Vertical More Text', 'bosmarket'),
			'sub_desc' => esc_html__( 'Change more text on vertical menu', 'bosmarket' ),
			'std' => ''
			),
		
		array(
			'id' => 'menu_less_text',
			'type' => 'text',
			'title' => esc_html__('Vertical Less Text', 'bosmarket'),
			'sub_desc' => esc_html__( 'Change less text on vertical menu', 'bosmarket' ),
			'std' => ''
			),
		
		array(
			'id' => 'info_typon2',
			'type' => 'info',
			'title' => esc_html__( 'Responsive Menu Config', 'bosmarket' ),
			'desc' => '',
			'class' => 'bosmarket-opt-info'
			),
		
		array(
			'id' => 'mobile_menu',
			'type' => 'menu_location_multi_select',
			'title' => esc_html__('Mobile & Responsive Menu Location', 'bosmarket'),
			'sub_desc' => esc_html__( 'Select theme location to active mobile menu.', 'bosmarket' ),
			'std' => 'primary_menu'
			),
		
		array(
			'id' => 'mobile_menu_title',
			'type' => 'text',
			'title' => esc_html__('Mobile Menu Title', 'bosmarket'),
			'sub_desc' => esc_html__( 'Change title heading of menu responsive. If there are many menu, each title separated by commas.', 'bosmarket' ),
			'std' => ''
			),
		)
	);
$options[] = array(
	'title' => esc_html__('Blog Options', 'bosmarket'),
	'desc' => wp_kses( __('<p class="description">Select layout in blog listing page.</p>', 'bosmarket'), array( 'p' => array( 'class' => array() ) ) ),
		//all the glyphicons are included in the options folder, so you can hook into them, or link to your own custom ones.
		//You dont have to though, leave it bosmarket for default.
	'icon' => BOSMARKET_URL.'/admin/img/glyphicons/glyphicons_071_book.png',
		//Lets leave this as a bosmarket section, no options just some intro text set above.
	'fields' => array(
		array(
			'id' => 'sidebar_blog',
			'type' => 'select',
			'title' => esc_html__('Sidebar Blog Layout', 'bosmarket'),
			'options' => array(
				'full' => esc_html__( 'Full Layout', 'bosmarket' ),		
				'left'	=>  esc_html__( 'Left Sidebar', 'bosmarket' ),
				'right' => esc_html__( 'Right Sidebar', 'bosmarket' ),
				),
			'std' => 'left',
			'sub_desc' => esc_html__( 'Select style sidebar blog', 'bosmarket' ),
			),
		array(
			'id' => 'blog_layout',
			'type' => 'select',
			'title' => esc_html__('Layout blog', 'bosmarket'),
			'options' => array(
				'list'	=>  esc_html__( 'List Layout', 'bosmarket' ),
				'grid' =>  esc_html__( 'Grid Layout', 'bosmarket' )								
				),
			'std' => 'list',
			'sub_desc' => esc_html__( 'Select style layout blog', 'bosmarket' ),
			),
		array(
			'id' => 'blog_column',
			'type' => 'select',
			'title' => esc_html__('Blog column', 'bosmarket'),
			'options' => array(								
				'2' => '2 columns',
				'3' => '3 columns',
				'4' => '4 columns'								
				),
			'std' => '2',
			'sub_desc' => esc_html__( 'Select style number column blog', 'bosmarket' ),
			),
		)
	);	
$options[] = array(
	'title' => esc_html__('Product Options', 'bosmarket'),
	'desc' => wp_kses( __('<p class="description">Select layout in product listing page.</p>', 'bosmarket'), array( 'p' => array( 'class' => array() ) ) ),
		//all the glyphicons are included in the options folder, so you can hook into them, or link to your own custom ones.
		//You dont have to though, leave it bosmarket for default.
	'icon' => BOSMARKET_URL.'/admin/img/glyphicons/glyphicons_202_shopping_cart.png',
		//Lets leave this as a bosmarket section, no options just some intro text set above.
	'fields' => array(
		array(
			'id' => 'product_loadmore',
			'title' => esc_html__( 'Enable load more product listing', 'bosmarket' ),
			'type' => 'checkbox',
			'sub_desc' => '',
			'desc' => esc_html__( 'Turn On/Off load more in product listing', 'bosmarket' ),
			'std' => '1'
			),
		
		array(
			'id' => 'product_loadmore_style',
			'title' => esc_html__( 'Select style load more ajax', 'bosmarket' ),
			'type' => 'select',
			'options' => array(
				'0' => esc_html__( 'Click', 'bosmarket' ),
				'1' => esc_html__( 'Scroll', 'bosmarket' )					
				),
			'std' => '0',
			'sub_desc' => esc_html__( 'Select style for ajax load more in product listing', 'bosmarket' ),
			),	
		array(
			'id' => 'info_typo1',
			'type' => 'info',
			'title' => esc_html( 'Product Categories Config', 'bosmarket' ),
			'desc' => '',
			'class' => 'bosmarket-opt-info'
			),

		array(
			'id' => 'product_colcat_large',
			'type' => 'select',
			'title' => esc_html__('Product Category Listing column Desktop', 'bosmarket'),
			'options' => array(
				'2' => '2',
				'3' => '3',
				'4' => '4',
				'5' => '5',
				'6' => '6',							
				),
			'std' => '4',
			'sub_desc' => esc_html__( 'Select number of column on Desktop Screen', 'bosmarket' ),
			),

		array(
			'id' => 'product_colcat_medium',
			'type' => 'select',
			'title' => esc_html__('Product Listing Category column Medium Desktop', 'bosmarket'),
			'options' => array(
				'2' => '2',
				'3' => '3',
				'4' => '4',	
				'5' => '5',
				'6' => '6',
				),
			'std' => '3',
			'sub_desc' => esc_html__( 'Select number of column on Medium Desktop Screen', 'bosmarket' ),
			),

		array(
			'id' => 'product_colcat_sm',
			'type' => 'select',
			'title' => esc_html__('Product Listing Category column Tablet', 'bosmarket'),
			'options' => array(
				'2' => '2',
				'3' => '3',
				'4' => '4',	
				'5' => '5',
				'6' => '6'
				),
			'std' => '2',
			'sub_desc' => esc_html__( 'Select number of column on Tablet Screen', 'bosmarket' ),
			),

		array(
			'id' => 'info_typo1',
			'type' => 'info',
			'title' => esc_html( 'Product General Config', 'bosmarket' ),
			'desc' => '',
			'class' => 'bosmarket-opt-info'
			),

		array(
			'id' => 'product_banner',
			'title' => esc_html__( 'Select Banner', 'bosmarket' ),
			'type' => 'select',
			'sub_desc' => '',
			'options' => array(
				'' => esc_html__( 'Use Banner', 'bosmarket' ),
				'listing' => esc_html__( 'Use Category Product Image', 'bosmarket' ),
				),
			'std' => '',
			),

		array(
			'id' => 'product_listing_banner',
			'type' => 'upload',
			'title' => esc_html__('Listing Banner Product', 'bosmarket'),
			'sub_desc' => esc_html__( 'Use the Upload button to upload banner product listing', 'bosmarket' ),
			'std' => ''
			),
		array(
			'id' => 'link_banner_shop',
			'type' => 'text',
			'title' => esc_html__('Link Of Banner Product', 'bosmarket'),
			'sub_desc' => esc_html__( 'Use the link for the banner product listing', 'bosmarket' ),
			'std' => '',
			),
		array(
			'id' => 'product_col_large',
			'type' => 'select',
			'title' => esc_html__('Product Listing column Desktop', 'bosmarket'),
			'options' => array(
				'2' => '2',
				'3' => '3',
				'4' => '4',
				'5' => '5',
				'6' => '6',							
				),
			'std' => '3',
			'sub_desc' => esc_html__( 'Select number of column on Desktop Screen', 'bosmarket' ),
			),

		array(
			'id' => 'product_col_medium',
			'type' => 'select',
			'title' => esc_html__('Product Listing column Medium Desktop', 'bosmarket'),
			'options' => array(
				'2' => '2',
				'3' => '3',
				'4' => '4',	
				'5' => '5',
				'6' => '6',
				),
			'std' => '2',
			'sub_desc' => esc_html__( 'Select number of column on Medium Desktop Screen', 'bosmarket' ),
			),

		array(
			'id' => 'product_col_sm',
			'type' => 'select',
			'title' => esc_html__('Product Listing column Tablet', 'bosmarket'),
			'options' => array(
				'2' => '2',
				'3' => '3',
				'4' => '4',	
				'5' => '5',
				'6' => '6'
				),
			'std' => '2',
			'sub_desc' => esc_html__( 'Select number of column on Tablet Screen', 'bosmarket' ),
			),

		array(
			'id' => 'sidebar_product',
			'type' => 'select',
			'title' => esc_html__('Sidebar Product Layout', 'bosmarket'),
			'options' => array(
				'left'	=> esc_html__( 'Left Sidebar', 'bosmarket' ),
				'full' => esc_html__( 'Full Layout', 'bosmarket' ),		
				'right' => esc_html__( 'Right Sidebar', 'bosmarket' )
				),
			'std' => 'left',
			'sub_desc' => esc_html__( 'Select style sidebar product', 'bosmarket' ),
			),

		array(
			'id' => 'product_quickview',
			'title' => esc_html__( 'Quickview', 'bosmarket' ),
			'type' => 'checkbox',
			'sub_desc' => '',
			'desc' => esc_html__( 'Turn On/Off Product Quickview', 'bosmarket' ),
			'std' => '1'
			),

		array(
			'id' => 'product_listing_countdown',
			'title' => esc_html__( 'Enable Countdown', 'bosmarket' ),
			'type' => 'checkbox',
			'sub_desc' => '',
			'desc' => esc_html__( 'Turn On/Off Product Countdown on product listing', 'bosmarket' ),
			'std' => '1'
			),
		
		array(
			'id' => 'product_soldout',
			'title' => esc_html__( 'Product Sold Out', 'bosmarket' ),
			'type' => 'checkbox',
			'sub_desc' => '',
			'desc' => esc_html__( 'Turn On/Off product sold out label', 'bosmarket' ),
			'std' => '1'
			),

		array(
			'id' => 'product_number',
			'type' => 'text',
			'title' => esc_html__('Product Listing Number', 'bosmarket'),
			'sub_desc' => esc_html__( 'Show number of product in listing product page.', 'bosmarket' ),
			'std' => 12
			),
		
		array(
			'id' => 'newproduct_time',
			'title' => esc_html__( 'New Product', 'bosmarket' ),
			'type' => 'number',
			'sub_desc' => '',
			'desc' => esc_html__( 'Set day for the new product label from the date publish product.', 'bosmarket' ),
			'std' => '1'
			),

		array(
			'id' => 'info_typo1',
			'type' => 'info',
			'title' => esc_html( 'Product Single Config', 'bosmarket' ),
			'desc' => '',
			'class' => 'bosmarket-opt-info'
			),

		array(
			'id' => 'sidebar_product_detail',
			'type' => 'select',
			'title' => esc_html__('Sidebar Product Single Layout', 'bosmarket'),
			'options' => array(
				'left'	=> esc_html__( 'Left Sidebar', 'bosmarket' ),
				'full' => esc_html__( 'Full Layout', 'bosmarket' ),		
				'right' => esc_html__( 'Right Sidebar', 'bosmarket' )
				),
			'std' => 'left',
			'sub_desc' => esc_html__( 'Select style sidebar product single', 'bosmarket' ),
			),

		array(
			'id' => 'product_single_style',
			'type' => 'select',
			'title' => esc_html__('Product Detail Style', 'bosmarket'),
			'options' => array(
				'default'	=> esc_html__( 'Default', 'bosmarket' ),
				'style1' 	=> esc_html__( 'Full Width', 'bosmarket' ),	
				'style2' 	=> esc_html__( 'Full Width With Accordion', 'bosmarket' ),	
				'style3' 	=> esc_html__( 'Full Width With Accordion 1', 'bosmarket' ),	
				),
			'std' => 'default',
			'sub_desc' => esc_html__( 'Select style for product single', 'bosmarket' ),
			),

		array(
			'id' => 'product_single_thumbnail',
			'type' => 'select',
			'title' => esc_html__('Product Thumbnail Position', 'bosmarket'),
			'options' => array(
				'bottom'	=> esc_html__( 'Bottom', 'bosmarket' ),
				'left' 		=> esc_html__( 'Left', 'bosmarket' ),	
				'right' 	=> esc_html__( 'Right', 'bosmarket' ),	
				'top' 		=> esc_html__( 'Top', 'bosmarket' ),					
				),
			'std' => 'bottom',
			'sub_desc' => esc_html__( 'Select style for product single thumbnail', 'bosmarket' ),
			),		


		array(
			'id' => 'product_zoom',
			'title' => esc_html__( 'Product Zoom', 'bosmarket' ),
			'type' => 'checkbox',
			'sub_desc' => '',
			'desc' => esc_html__( 'Turn On/Off image zoom when hover on single product', 'bosmarket' ),
			'std' => '1'
			),

		array(
			'id' => 'product_brand',
			'title' => esc_html__( 'Enable Product Brand Image', 'bosmarket' ),
			'type' => 'checkbox',
			'sub_desc' => '',
			'desc' => esc_html__( 'Turn On/Off product brand image show on single product.', 'bosmarket' ),
			'std' => '1'
			),

		array(
			'id' => 'product_single_countdown',
			'title' => esc_html__( 'Enable Countdown Single', 'bosmarket' ),
			'type' => 'checkbox',
			'sub_desc' => '',
			'desc' => esc_html__( 'Turn On/Off Product Countdown on product single', 'bosmarket' ),
			'std' => '1'
			),
		
		array(
			'id' => 'product_single_buynow',
			'title' => esc_html__( 'Enable Buy Now Button', 'bosmarket' ),
			'type' => 'checkbox',
			'sub_desc' => '',
			'desc' => esc_html__( 'Turn On/Off buy now button on product single and quickview', 'bosmarket' ),
			'std' => '1'
			),

		array(
			'id' => 'info_typo1',
			'type' => 'info',
			'title' => esc_html( 'Config For Product Categories Widget', 'bosmarket' ),
			'desc' => '',
			'class' => 'bosmarket-opt-info'
			),

		array(
			'id' => 'product_number_item',
			'type' => 'text',
			'title' => esc_html__( 'Category Number Item Show', 'bosmarket' ),
			'sub_desc' => esc_html__( 'Choose to number of item category that you want to show, leave 0 to show all category', 'bosmarket' ),
			'std' => 8
			),	

		array(
			'id' => 'product_more_text',
			'type' => 'text',
			'title' => esc_html__( 'Category More Text', 'bosmarket' ),
			'sub_desc' => esc_html__( 'Change more text on category product', 'bosmarket' ),
			'std' => ''
			),

		array(
			'id' => 'product_less_text',
			'type' => 'text',
			'title' => esc_html__( 'Category Less Text', 'bosmarket' ),
			'sub_desc' => esc_html__( 'Change less text on category product', 'bosmarket' ),
			'std' => ''
			)	
		)
);			
$options[] = array(
	'title' => esc_html__('Typography', 'bosmarket'),
	'desc' => wp_kses( __('<p class="description">Change the font style of your blog, custom with Google Font.</p>', 'bosmarket'), array( 'p' => array( 'class' => array() ) ) ),
			//all the glyphicons are included in the options folder, so you can hook into them, or link to your own custom ones.
			//You dont have to though, leave it bosmarket for default.
	'icon' => BOSMARKET_URL.'/admin/img/glyphicons/glyphicons_151_edit.png',
			//Lets leave this as a bosmarket section, no options just some intro text set above.
	'fields' => array(
		array(
			'id' => 'info_typo1',
			'type' => 'info',
			'title' => esc_html( 'Global Typography', 'bosmarket' ),
			'desc' => '',
			'class' => 'bosmarket-opt-info'
			),

		array(
			'id' => 'google_webfonts',
			'type' => 'google_webfonts',
			'title' => esc_html__('Use Google Webfont', 'bosmarket'),
			'sub_desc' => esc_html__( 'Insert font style that you actually need on your webpage.', 'bosmarket' ), 
			'std' => ''
			),

		array(
			'id' => 'webfonts_weight',
			'type' => 'multi_select',
			'sub_desc' => esc_html__( 'For weight, see Google Fonts to custom for each font style.', 'bosmarket' ),
			'title' => esc_html__('Webfont Weight', 'bosmarket'),
			'options' => array(
				'100' => '100',
				'200' => '200',
				'300' => '300',
				'400' => '400',
				'500' => '500',
				'600' => '600',
				'700' => '700',
				'800' => '800',
				'900' => '900'
				),
			'std' => ''
			),

		array(
			'id' => 'info_typo2',
			'type' => 'info',
			'title' => esc_html( 'Header Tag Typography', 'bosmarket' ),
			'desc' => '',
			'class' => 'bosmarket-opt-info'
			),

		array(
			'id' => 'header_tag_font',
			'type' => 'google_webfonts',
			'title' => esc_html__('Header Tag Font', 'bosmarket'),
			'sub_desc' => esc_html__( 'Select custom font for header tag ( h1...h6 )', 'bosmarket' ), 
			'std' => ''
			),

		array(
			'id' => 'info_typo2',
			'type' => 'info',
			'title' => esc_html( 'Main Menu Typography', 'bosmarket' ),
			'desc' => '',
			'class' => 'bosmarket-opt-info'
			),

		array(
			'id' => 'menu_font',
			'type' => 'google_webfonts',
			'title' => esc_html__('Main Menu Font', 'bosmarket'),
			'sub_desc' => esc_html__( 'Select custom font for main menu', 'bosmarket' ), 
			'std' => ''
			),
		
		array(
			'id' => 'info_typo2',
			'type' => 'info',
			'title' => esc_html( 'Custom Typography', 'bosmarket' ),
			'desc' => '',
			'class' => 'bosmarket-opt-info'
			),

		array(
			'id' => 'custom_font',
			'type' => 'google_webfonts',
			'title' => esc_html__('Custom Font', 'bosmarket'),
			'sub_desc' => esc_html__( 'Select custom font for custom class', 'bosmarket' ), 
			'std' => ''
			),
		
		array(
			'id' => 'custom_font_class',
			'title' => esc_html__( 'Custom Font Class', 'bosmarket' ),
			'type' => 'text',
			'sub_desc' => esc_html__( 'Put custom class to this field. Each class separated by commas.', 'bosmarket' ),
			'desc' => '',
			'std' => '',
			),

		)
	);

$options[] = array(
	'title' => __('Social', 'bosmarket'),
	'desc' => wp_kses( __('<p class="description">This feature allow to you link to your social.</p>', 'bosmarket'), array( 'p' => array( 'class' => array() ) ) ),
		//all the glyphicons are included in the options folder, so you can hook into them, or link to your own custom ones.
		//You dont have to though, leave it blank for default.
	'icon' => BOSMARKET_URL.'/admin/img/glyphicons/glyphicons_222_share.png',
		//Lets leave this as a blank section, no options just some intro text set above.
	'fields' => array(
		array(
			'id' => 'social-share-fb',
			'title' => esc_html__( 'Facebook', 'bosmarket' ),
			'type' => 'text',
			'sub_desc' => '',
			'desc' => '',
			'std' => '',
			),
		array(
			'id' => 'social-share-tw',
			'title' => esc_html__( 'Twitter', 'bosmarket' ),
			'type' => 'text',
			'sub_desc' => '',
			'desc' => '',
			'std' => '',
			),
		array(
			'id' => 'social-share-tumblr',
			'title' => esc_html__( 'Tumblr', 'bosmarket' ),
			'type' => 'text',
			'sub_desc' => '',
			'desc' => '',
			'std' => '',
			),
		array(
			'id' => 'social-share-in',
			'title' => esc_html__( 'Linkedin', 'bosmarket' ),
			'type' => 'text',
			'sub_desc' => '',
			'desc' => '',
			'std' => '',
			),
		array(
			'id' => 'social-share-instagram',
			'title' => esc_html__( 'Instagram', 'bosmarket' ),
			'type' => 'text',
			'sub_desc' => '',
			'desc' => '',
			'std' => '',
			),

		array(
			'id' => 'social-share-pi',
			'title' => esc_html__( 'Pinterest', 'bosmarket' ),
			'type' => 'text',
			'sub_desc' => '',
			'desc' => '',
			'std' => '',
			)

		)
	);

$options[] = array(
	'title' => esc_html__('Maintaincece Mode', 'bosmarket'),
	'desc' => wp_kses( __('<p class="description">Enable and config for Maintaincece mode.</p>', 'bosmarket'), array( 'p' => array( 'class' => array() ) ) ),
			//all the glyphicons are included in the options folder, so you can hook into them, or link to your own custom ones.
			//You dont have to though, leave it bosmarket for default.
	'icon' => BOSMARKET_URL.'/admin/img/glyphicons/glyphicons_136_computer_locked.png',
			//Lets leave this as a bosmarket section, no options just some intro text set above.
	'fields' => array(
		array(
			'id' => 'maintaince_enable',
			'title' => esc_html__( 'Enable Maintaincece Mode', 'bosmarket' ),
			'type' => 'checkbox',
			'sub_desc' => esc_html__( 'Turn on/off Maintaince mode on this website', 'bosmarket' ),
			'desc' => '',
			'std' => '0'
			),

		array(
			'id' => 'maintaince_background',
			'title' => esc_html__( 'Maintaince Background', 'bosmarket' ),
			'type' => 'upload',
			'sub_desc' => esc_html__( 'Choose maintance background image', 'bosmarket' ),
			'desc' => '',
			'std' => get_template_directory_uri().'/assets/img/maintaince/bg-main.jpg'
			),

		array(
			'id' => 'maintaince_content',
			'title' => esc_html__( 'Maintaince Content', 'bosmarket' ),
			'type' => 'editor',
			'sub_desc' => esc_html__( 'Change text of maintaince mode', 'bosmarket' ),
			'desc' => '',
			'std' => ''
			),

		array(
			'id' => 'maintaince_date',
			'title' => esc_html__( 'Maintaince Date', 'bosmarket' ),
			'type' => 'date',
			'sub_desc' => esc_html__( 'Put date to this field to show countdown date on maintaince mode.', 'bosmarket' ),
			'desc' => '',
			'placeholder' => 'mm/dd/yy',
			'std' => ''
			),

		array(
			'id' => 'maintaince_form',
			'title' => esc_html__( 'Maintaince Form', 'bosmarket' ),
			'type' => 'text',
			'sub_desc' => esc_html__( 'Put shortcode form to this field and it will be shown on maintaince mode frontend.', 'bosmarket' ),
			'desc' => '',
			'std' => ''
			),

		)
	);

$options[] = array(
	'title' => esc_html__('Popup Config', 'bosmarket'),
	'desc' => wp_kses( __('<p class="description">Enable popup and more config for Popup.</p>', 'bosmarket'), array( 'p' => array( 'class' => array() ) ) ),
			//all the glyphicons are included in the options folder, so you can hook into them, or link to your own custom ones.
			//You dont have to though, leave it bosmarket for default.
	'icon' => BOSMARKET_URL.'/admin/img/glyphicons/glyphicons_318_more-items.png',
			//Lets leave this as a bosmarket section, no options just some intro text set above.
	'fields' => array(
		array(
			'id' => 'popup_active',
			'type' => 'checkbox',
			'title' => esc_html__( 'Active Popup Subscribe', 'bosmarket' ),
			'sub_desc' => esc_html__( 'Check to active popup subscribe', 'bosmarket' ),
			'desc' => '',
						'std' => '0'// 1 = on | 0 = off
						),	

		array(
			'id' => 'popup_background',
			'title' => esc_html__( 'Popup Background', 'bosmarket' ),
			'type' => 'upload',
			'sub_desc' => esc_html__( 'Choose popup background image', 'bosmarket' ),
			'desc' => '',
			'std' => get_template_directory_uri().'/assets/img/popup/bg-newsletter.jpg'
			),

		array(
			'id' => 'popup_content',
			'title' => esc_html__( 'Popup Content', 'bosmarket' ),
			'type' => 'editor',
			'sub_desc' => esc_html__( 'Change text of popup mode', 'bosmarket' ),
			'desc' => '',
			'std' => ''
			),	

		array(
			'id' => 'popup_form',
			'title' => esc_html__( 'Popup Form', 'bosmarket' ),
			'type' => 'text',
			'sub_desc' => esc_html__( 'Put shortcode form to this field and it will be shown on popup mode frontend.', 'bosmarket' ),
			'desc' => '',
			'std' => ''
			),

		)
	);

$options[] = array(
	'title' => esc_html__('Advanced', 'bosmarket'),
	'desc' => wp_kses( __('<p class="description">Custom advanced with Cpanel, Widget advanced, Developer mode </p>', 'bosmarket'), array( 'p' => array( 'class' => array() ) ) ),
			//all the glyphicons are included in the options folder, so you can hook into them, or link to your own custom ones.
			//You dont have to though, leave it bosmarket for default.
	'icon' => BOSMARKET_URL.'/admin/img/glyphicons/glyphicons_083_random.png',
			//Lets leave this as a bosmarket section, no options just some intro text set above.
	'fields' => array(

		array(
			'id' => 'social_share',
			'title' => esc_html__( 'Social Share', 'bosmarket' ),
			'type' => 'checkbox',
			'sub_desc' => esc_html__( 'Turn on/off social share', 'bosmarket' ),
			'desc' => '',
			'std' => '1'
			),

		array(
			'id' => 'breadcrumb_active',
			'title' => esc_html__( 'Turn Off Breadcrumb', 'bosmarket' ),
			'type' => 'checkbox',
			'sub_desc' => esc_html__( 'Turn off breadcumb on all page', 'bosmarket' ),
			'desc' => '',
			'std' => '0'
			),

		array(
			'id' => 'back_active',
			'type' => 'checkbox',
			'title' => esc_html__('Back to top', 'bosmarket'),
			'sub_desc' => '',
			'desc' => '',
			'std' => '1'// 1 = on | 0 = off
			),	

		)
	);

$options_args = array();

	//Setup custom links in the footer for share icons
$options_args['share_icons']['facebook'] = array(
	'link' => 'http://www.facebook.com/SmartAddons.page',
	'title' => 'Facebook',
	'img' => BOSMARKET_URL.'/admin/img/glyphicons/glyphicons_320_facebook.png'
	);
$options_args['share_icons']['twitter'] = array(
	'link' => 'https://twitter.com/smartaddons',
	'title' => 'Folow me on Twitter',
	'img' => BOSMARKET_URL.'/admin/img/glyphicons/glyphicons_322_twitter.png'
	);
$options_args['share_icons']['linked_in'] = array(
	'link' => 'http://www.linkedin.com/in/smartaddons',
	'title' => 'Find me on LinkedIn',
	'img' => BOSMARKET_URL.'/admin/img/glyphicons/glyphicons_337_linked_in.png'
	);


	//Choose a custom option name for your theme options, the default is the theme name in lowercase with spaces replaced by underscores
$options_args['opt_name'] = SW_THEME;

	$options_args['google_api_key'] = 'AIzaSyAkGne1l3H7jkvnCKdEM83qh0u198iZ12c'; //must be defined for use with google webfonts field type

	//Custom menu title for options page - default is "Options"
	$options_args['menu_title'] = esc_html__('Theme Options', 'bosmarket');

	//Custom Page Title for options page - default is "Options"
	$options_args['page_title'] = esc_html__('Bosmarket Options ', 'bosmarket') . wp_get_theme()->get('Name');

	//Custom page slug for options page (wp-admin/themes.php?page=***) - default is "bosmarket_theme_options"
	$options_args['page_slug'] = 'bosmarket_theme_options';

	//page type - "menu" (adds a top menu section) or "submenu" (adds a submenu) - default is set to "menu"
	$options_args['page_type'] = 'submenu';

	//custom page location - default 100 - must be unique or will override other items
	$options_args['page_position'] = 27;
	$sw_options = new SW_Options( $options, $options_args );
}
add_action( 'init', 'bosmarket_Options_Setup', 0 );
// bosmarket_Options_Setup();
endif; 


/*
** Define widget
*/
function bosmarket_widget_setup_args(){
	$bosmarket_widget_areas = array(
		
		array(
			'name' => esc_html__('Sidebar Left Blog', 'bosmarket'),
			'id'   => 'left-blog',
			'before_widget' => '<div id="%1$s" class="widget %1$s %2$s"><div class="widget-inner">',
			'after_widget' => '</div></div>',
			'before_title' => '<div class="block-title-widget"><h2><span>',
			'after_title' => '</span></h2></div>'
			),
		array(
			'name' => esc_html__('Sidebar Right Blog', 'bosmarket'),
			'id'   => 'right-blog',
			'before_widget' => '<div id="%1$s" class="widget %1$s %2$s"><div class="widget-inner">',
			'after_widget' => '</div></div>',
			'before_title' => '<div class="block-title-widget"><h2><span>',
			'after_title' => '</span></h2></div>'
			),		
		array(
			'name' => esc_html__('Header Top', 'bosmarket'),
			'id'   => 'top',
			'before_widget' => '<div id="%1$s" class="widget %1$s %2$s"><div class="widget-inner">',
			'after_widget'  => '</div></div>',
			'before_title'  => '<h3>',
			'after_title'   => '</h3>'
			),
		array(
			'name' => esc_html__('Header Top2', 'bosmarket'),
			'id'   => 'top2',
			'before_widget' => '<div id="%1$s" class="widget %1$s %2$s"><div class="widget-inner">',
			'after_widget'  => '</div></div>',
			'before_title'  => '<h3>',
			'after_title'   => '</h3>'
			),
		array(
			'name' => esc_html__('Header Top3', 'bosmarket'),
			'id'   => 'top3',
			'before_widget' => '<div id="%1$s" class="widget %1$s %2$s"><div class="widget-inner">',
			'after_widget'  => '</div></div>',
			'before_title'  => '<h3>',
			'after_title'   => '</h3>'
			),
		array(
			'name' => esc_html__('Header Top4', 'bosmarket'),
			'id'   => 'top4',
			'before_widget' => '<div id="%1$s" class="widget %1$s %2$s"><div class="widget-inner">',
			'after_widget'  => '</div></div>',
			'before_title'  => '<h3>',
			'after_title'   => '</h3>'
			),
		array(
			'name' => esc_html__('Header Top5', 'bosmarket'),
			'id'   => 'top5',
			'before_widget' => '<div id="%1$s" class="widget %1$s %2$s"><div class="widget-inner">',
			'after_widget'  => '</div></div>',
			'before_title'  => '<h3>',
			'after_title'   => '</h3>'
			),
		array(
			'name' => esc_html__('Header Top6', 'bosmarket'),
			'id'   => 'top6',
			'before_widget' => '<div id="%1$s" class="widget %1$s %2$s"><div class="widget-inner">',
			'after_widget'  => '</div></div>',
			'before_title'  => '<h3>',
			'after_title'   => '</h3>'
			),
		array(
			'name' => esc_html__('Header Top7', 'bosmarket'),
			'id'   => 'top7',
			'before_widget' => '<div id="%1$s" class="widget %1$s %2$s"><div class="widget-inner">',
			'after_widget'  => '</div></div>',
			'before_title'  => '<h3>',
			'after_title'   => '</h3>'
			),
		array(
			'name' => esc_html__('Header Top8', 'bosmarket'),
			'id'   => 'top8',
			'before_widget' => '<div id="%1$s" class="widget %1$s %2$s"><div class="widget-inner">',
			'after_widget'  => '</div></div>',
			'before_title'  => '<h3>',
			'after_title'   => '</h3>'
			),
		array(
			'name' => esc_html__('Header Mid', 'bosmarket'),
			'id'   => 'mid-header',
			'before_widget' => '<div id="%1$s" class="widget %1$s %2$s"><div class="widget-inner">',
			'after_widget'  => '</div></div>',
			'before_title'  => '<h3>',
			'after_title'   => '</h3>'
			),
		array(
			'name' => esc_html__('Header Mid2', 'bosmarket'),
			'id'   => 'mid-header2',
			'before_widget' => '<div id="%1$s" class="widget %1$s %2$s"><div class="widget-inner">',
			'after_widget'  => '</div></div>',
			'before_title'  => '<h3>',
			'after_title'   => '</h3>'
			),
		array(
			'name' => esc_html__('Header Mid3', 'bosmarket'),
			'id'   => 'mid-header3',
			'before_widget' => '<div id="%1$s" class="widget %1$s %2$s"><div class="widget-inner">',
			'after_widget'  => '</div></div>',
			'before_title'  => '<h3>',
			'after_title'   => '</h3>'
			),
		array(
			'name' => esc_html__('Header Mid4', 'bosmarket'),
			'id'   => 'mid-header4',
			'before_widget' => '<div id="%1$s" class="widget %1$s %2$s"><div class="widget-inner">',
			'after_widget'  => '</div></div>',
			'before_title'  => '<h3>',
			'after_title'   => '</h3>'
			),
		array(
			'name' => esc_html__('Header Bottom', 'bosmarket'),
			'id'   => 'bottom-header',
			'before_widget' => '<div id="%1$s" class="widget %1$s %2$s"><div class="widget-inner">',
			'after_widget'  => '</div></div>',
			'before_title'  => '<h3>',
			'after_title'   => '</h3>'
			),
		array(
			'name' => esc_html__('Header Bottom2', 'bosmarket'),
			'id'   => 'bottom-header2',
			'before_widget' => '<div id="%1$s" class="widget %1$s %2$s"><div class="widget-inner">',
			'after_widget'  => '</div></div>',
			'before_title'  => '<h3>',
			'after_title'   => '</h3>'
			),
		array(
			'name' => esc_html__('Header Bottom3', 'bosmarket'),
			'id'   => 'bottom-header3',
			'before_widget' => '<div id="%1$s" class="widget %1$s %2$s"><div class="widget-inner">',
			'after_widget'  => '</div></div>',
			'before_title'  => '<h3>',
			'after_title'   => '</h3>'
			),
		array(
			'name' => esc_html__('Header Bottom4', 'bosmarket'),
			'id'   => 'bottom-header4',
			'before_widget' => '<div id="%1$s" class="widget %1$s %2$s"><div class="widget-inner">',
			'after_widget'  => '</div></div>',
			'before_title'  => '<h3>',
			'after_title'   => '</h3>'
			),
		array(
			'name' => esc_html__('Header Bottom5', 'bosmarket'),
			'id'   => 'bottom-header5',
			'before_widget' => '<div id="%1$s" class="widget %1$s %2$s"><div class="widget-inner">',
			'after_widget'  => '</div></div>',
			'before_title'  => '<h3>',
			'after_title'   => '</h3>'
			),
		array(
			'name' => esc_html__('Header Bottom6', 'bosmarket'),
			'id'   => 'bottom-header6',
			'before_widget' => '<div id="%1$s" class="widget %1$s %2$s"><div class="widget-inner">',
			'after_widget'  => '</div></div>',
			'before_title'  => '<h3>',
			'after_title'   => '</h3>'
			),
		
		array(
			'name' => esc_html__('Sidebar Left Product', 'bosmarket'),
			'id'   => 'left-product',
			'before_widget' => '<div id="%1$s" class="widget %1$s %2$s"><div class="widget-inner">',
			'after_widget' => '</div></div>',
			'before_title' => '<div class="block-title-widget"><h2><span>',
			'after_title' => '</span></h2></div>'
			),		
		array(
			'name' => esc_html__('Sidebar Right Product', 'bosmarket'),
			'id'   => 'right-product',
			'before_widget' => '<div id="%1$s" class="widget %1$s %2$s"><div class="widget-inner">',
			'after_widget' => '</div></div>',
			'before_title' => '<div class="block-title-widget"><h2><span>',
			'after_title' => '</span></h2></div>'
			),		
		array(
			'name' => esc_html__('Sidebar Left Detail Product', 'bosmarket'),
			'id'   => 'left-product-detail',
			'before_widget' => '<div id="%1$s" class="widget %1$s %2$s"><div class="widget-inner">',
			'after_widget' => '</div></div>',
			'before_title' => '<div class="block-title-widget"><h2><span>',
			'after_title' => '</span></h2></div>'
			),		
		array(
			'name' => esc_html__('Sidebar Right Detail Product', 'bosmarket'),
			'id'   => 'right-product-detail',
			'before_widget' => '<div id="%1$s" class="widget %1$s %2$s"><div class="widget-inner">',
			'after_widget' => '</div></div>',
			'before_title' => '<div class="block-title-widget"><h2><span>',
			'after_title' => '</span></h2></div>'
			),		
		array(
			'name' => esc_html__('Sidebar Bottom Detail Product', 'bosmarket'),
			'id'   => 'bottom-detail-product',
			'before_widget' => '<div id="%1$s" class="widget %1$s %2$s" data-scroll-reveal="enter bottom move 20px wait 0.2s"><div class="widget-inner">',
			'after_widget'  => '</div></div>',
			'before_title'  => '<h3>',
			'after_title'   => '</h3>'
			),	
		array(
			'name' => esc_html__('Bottom Detail Product Mobile', 'bosmarket'),
			'id'   => 'bottom-detail-product-mobile',
			'before_widget' => '<div id="%1$s" class="widget %1$s %2$s" data-scroll-reveal="enter bottom move 20px wait 0.2s"><div class="widget-inner">',
			'after_widget'  => '</div></div>',
			'before_title'  => '<h3>',
			'after_title'   => '</h3>'
			),

		array(
			'name' => esc_html__('Filter Mobile', 'bosmarket'),
			'id'   => 'filter-mobile',
			'before_widget' => '<div id="%1$s" class="widget %1$s %2$s" data-scroll-reveal="enter bottom move 20px wait 0.2s"><div class="widget-inner">',
			'after_widget'  => '</div></div>',
			'before_title'  => '<h3>',
			'after_title'   => '</h3>'
			),			
		array(
			'name' => esc_html__('Footer Copyright', 'bosmarket'),
			'id'   => 'footer-copyright',
			'before_widget' => '<div id="%1$s" class="widget %1$s %2$s"><div class="widget-inner">',
			'after_widget'  => '</div></div>',
			'before_title'  => '<h3>',
			'after_title'   => '</h3>'
			),
		);
return apply_filters( 'bosmarket_widget_register', $bosmarket_widget_areas );
}