<?php
/**
 * bosmarket initial setup and constants
 */
function bosmarket_setup() {
	// Make theme available for translation
	load_theme_textdomain( 'bosmarket', get_template_directory() . '/lang' );

	// Register wp_nav_menu() menus (http://codex.wordpress.org/Function_Reference/register_nav_menus)
	register_nav_menus(array(
		'primary_menu' => esc_html__('Primary Menu', 'bosmarket'),
		'vertical_menu' => esc_html__( 'Vertical Menu', 'bosmarket' ),
		'mobile_menu' => esc_html__( 'Mobile Menu', 'bosmarket' ),
		'mobile_header_menu' => esc_html__( 'Mobile Header Menu', 'bosmarket' ),

	));
	
	add_theme_support( 'sw_theme' );
	
	add_theme_support( 'automatic-feed-links' );
	add_theme_support( 'wc-product-gallery-lightbox' );
	if( sw_options( 'product_zoom' ) ) :
		add_theme_support( 'wc-product-gallery-zoom' );
	endif;
	
	add_image_size( 'bosmarket_blog-responsive1', 390, 260, true );
	add_image_size( 'bosmarket_shop-image', 390, 390, true );
	add_image_size( 'bosmarket_shop-image2', 440, 440, true );
	add_image_size( 'bosmarket_detail_thumb', 1370, 550, true );


	add_theme_support( "title-tag" );
	
	add_theme_support('bootstrap-gallery');     // Enable Bootstrap's thumbnails component on [gallery]
	
	// Add post thumbnails (http://codex.wordpress.org/Post_Thumbnails)
	add_theme_support('post-thumbnails');

	// Add post formats (http://codex.wordpress.org/Post_Formats)
	add_theme_support('post-formats', array('aside', 'gallery', 'link', 'image', 'quote', 'status', 'video', 'audio', 'chat'));
	
	// Custom image header
	$bosmarket_header_arr = array(
		'default-image' => get_template_directory_uri().'/assets/img/logo-default.png',
		'uploads'       => true
	);
	add_theme_support( 'custom-header', $bosmarket_header_arr );
	
	// Custom Background 
	$bosmarket_bgarr = array(
		'default-color' => 'ffffff',
		'default-image' => '',
	);
	add_theme_support( 'custom-background', $bosmarket_bgarr );
	
	// Tell the TinyMCE editor to use a custom stylesheet
	add_editor_style( 'css/editor-style.css' );
	
	new Bosmarket_Menu();
}
add_action('after_setup_theme', 'bosmarket_setup');

