<?php
/***** Active Plugin ********/
require_once( get_template_directory().'/lib/class-tgm-plugin-activation.php' );

add_action( 'tgmpa_register', 'bosmarket_register_required_plugins' );
function bosmarket_register_required_plugins() {
    $plugins = array(    
		array(
			'name'               => esc_html__( 'WooCommerce', 'bosmarket' ), 
			'slug'               => 'woocommerce', 
			'required'           => true, 
			'version'            => '5.5.1'
		),

		array(
			'name'               => esc_html__( 'Revslider', 'bosmarket' ), 
			'slug'               => 'revslider', 
            'source'             => esc_url('https://demo.wpthemego.com/modules/revslider.zip'),  
			'required'           => true, 
			'version'            => '6.5.4'
		),

		array(
			'name'               => esc_html__( 'Visual Composer', 'bosmarket' ), 
			'slug'               => 'js_composer', 
            'source'             => esc_url('https://demo.wpthemego.com/modules/js_composerv6.6.zip'),  
			'required'           => true, 
			'version'            => '6.7.0'
		), 

		array(
			'name'               => esc_html__( 'Elementor', 'bosmarket' ), 
			'slug'               => 'elementor',
			'required'           => true,
			), 

		array(
			'name'               => esc_html__( 'Elementor Pro', 'bosmarket' ), 
			'slug'               => 'elementor-pro', 
            'source'             => esc_url('https://demo.wpthemego.com/modules/elementor-pro.zip'),  
			'required'           => true, 
			'version'            => '3.3.1'
			),
		
		array(
			'name'               => esc_html__( 'SW Core', 'bosmarket' ),
			'slug'               => 'sw_core',
			'source'             => get_template_directory() . '/lib/plugins/sw_core.zip',  
			'required'           => true,   
			'version'            => '1.4.0'
		),

		array(
			'name'               => esc_html__( 'SW WooCommerce', 'bosmarket' ),
			'slug'               => 'sw_woocommerce',
			'source'             => get_template_directory() . '/lib/plugins/sw_woocommerce.zip',  
			'required'           => true,
			'version'            => '1.6.20'
		),

		array(
			'name'              => esc_html__( 'SW Ajax Woocommerce Search', 'bosmarket' ),
			'slug'              => 'sw_ajax_woocommerce_search',
			'source'             => get_template_directory() . '/lib/plugins/sw_ajax_woocommerce_search.zip',  
			'required'          => true,
			'version'           => '1.1.16'
		),

		array(
			'name'               => esc_html__( 'SW Wooswatches', 'bosmarket' ),
			'slug'               => 'sw_wooswatches',
			'source'             => get_template_directory() . '/lib/plugins/sw_wooswatches.zip',  
			'required'           => true,
			'version'            => '1.0.13'
		),

		array(
			'name'               => esc_html__( 'Sw Product Bundles', 'bosmarket' ),
			'slug'               => 'sw-product-bundles',
			'source'             => get_template_directory() . '/lib/plugins/sw-product-bundles.zip',  
			'required'           => false,
			'version'            => '2.0.25'
		),

		array(
			'name'               => esc_html__( 'Sw WooCommerce Catalog Mode', 'bosmarket' ),
			'slug'               => 'sw-woocatalog',
			'source'             => esc_url( get_template_directory_uri() . '/lib/plugins/sw-woocatalog.zip' ), 
			'required'           => true,
			'version'            => '1.0.0'
		),  

		array(
			'name'               => esc_html__( 'One Click Demo Import', 'bosmarket' ), 
			'slug'               => 'one-click-demo-import', 
			'source'             => get_template_directory() . '/lib/plugins/one-click-demo-import.zip', 
			'required'           => true, 
		),
		
		
		array(
			'name'      		 => esc_html__( 'MailChimp for WordPress Lite', 'bosmarket' ),
			'slug'     			 => 'mailchimp-for-wp',
			'required' 			 => false,
		),
		
		array(
			'name'      		 => esc_html__( 'Contact Form 7', 'bosmarket' ),
			'slug'     			 => 'contact-form-7',
			'required' 			 => false,
		),
		
		array(
			'name'      		 => esc_html__( 'YITH Woocommerce Compare', 'bosmarket' ),
			'slug'      		 => 'yith-woocommerce-compare',
			'required'			 => false
		),
		
		array(
			'name'     			 => esc_html__( 'YITH Woocommerce Wishlist', 'bosmarket' ),
			'slug'      		 => 'yith-woocommerce-wishlist',
			'required' 			 => false
		), 
	);		
$config = array();

tgmpa( $plugins, $config );

}
add_action( 'vc_before_init', 'bosmarket_vcSetAsTheme' );
function bosmarket_vcSetAsTheme() {
    vc_set_as_theme();
}