<?php 
/* 
** Content Header
*/
$bosmarket_colorset  	= sw_options('scheme');
$bosmarket_logo 		= sw_options('sitelogo');
$sticky_menu 			= sw_options( 'sticky_menu' );
$bosmarket_menu_item 	= ( sw_options( 'menu_number_item' ) ) ? sw_options( 'menu_number_item' ) : 8;
$bosmarket_title_text   = sw_options('menu_title_text');
$bosmarket_more_text 	= ( sw_options( 'menu_more_text' ) )	 ? sw_options( 'menu_more_text' )		: esc_html__( 'See More', 'bosmarket' );
$bosmarket_less_text 	= ( sw_options( 'menu_less_text' ) )	 ? sw_options( 'menu_less_text' )		: esc_html__( 'See Less', 'bosmarket' );
?>
<header id="header" class="header header-style4">
	<!-- Sidebar Top Menu -->
	<?php if (is_active_sidebar('top5')) {?>	
	<div class="header-top">
		<div class="container">
			<?php dynamic_sidebar('top5'); ?>
		</div>
	</div>
	<?php }?>
	<div class="header-mid">
		<div class="container">
			<div class="row">
				<!-- Logo -->
				<div class="top-header col-lg-3 col-md-2 pull-left">
					<div class="bosmarket-logo">
						<?php bosmarket_logo(); ?>
					</div>
				</div>
				<!-- Sidebar Top Menu -->
				<?php if (is_active_sidebar('mid-header3')) {?>
				<div  class="mid-header pull-right">
					<?php dynamic_sidebar('mid-header3'); ?>
				</div>
				<?php }?>
				<?php if( !sw_options( 'disable_search' ) ) : ?>
					<div class="search-cate col-lg-6 col-md-6 pull-right">
						<?php if( is_active_sidebar( 'search' ) && class_exists( 'sw_woo_search_widget' ) ): ?>
							<?php dynamic_sidebar( 'search' ); ?>
						<?php else : ?>
							<div class="widget revo_top non-margin pull-right">
								<div class="widget-inner">
									<?php get_template_part( 'widgets/sw_top/searchcate' ); ?>
								</div>
							</div>
						<?php endif; ?>
					</div>
				<?php endif; ?>
			</div>
		</div>
	</div>
	<div class="header-bottom">
		<div class="container">
			<div class="row">
				<!-- Primary navbar -->
				<?php if ( has_nav_menu('primary_menu') ) { ?>
				<div id="main-menu" class="main-menu clearfix col-lg-9 col-md-9 pull-left">
					<nav id="primary-menu" class="primary-menu">
						<div class="mid-header clearfix">
							<div class="navbar-inner navbar-inverse">
								<?php
								$bosmarket_menu_class = 'nav nav-pills';
								if ( 'mega' == sw_options('menu_type') ){
									$bosmarket_menu_class .= ' nav-mega';
								} else $bosmarket_menu_class .= ' nav-css';
								?>
								<?php wp_nav_menu(array('theme_location' => 'primary_menu', 'menu_class' => $bosmarket_menu_class)); ?>
							</div>
						</div>
					</nav>
				</div>			
				<?php } ?>
				<!-- /Primary navbar -->
				<!-- Sidebar Top Menu -->
				<?php if (is_active_sidebar('bottom-header3')) {?>
				<div  class="bottom-header col-lg-3 col-md-3 pull-right">
					<?php dynamic_sidebar('bottom-header3'); ?>
				</div>
				<?php }?>
			</div>
		</div>
	</div>
</header>