<?php 
/* 
** Content Header
*/
$bosmarket_colorset  	= sw_options('scheme');
$bosmarket_logo 		= sw_options('sitelogo');
$sticky_menu 			= sw_options( 'sticky_menu' );
$bosmarket_menu_item 	= ( sw_options( 'menu_number_item' ) ) ? sw_options( 'menu_number_item' ) : 8;
$bosmarket_title_text   = sw_options('menu_title_text');
$bosmarket_more_text 	= ( sw_options( 'menu_more_text' ) )	 ? sw_options( 'menu_more_text' )		: esc_html__( 'See More', 'bosmarket' );
$bosmarket_less_text 	= ( sw_options( 'menu_less_text' ) )	 ? sw_options( 'menu_less_text' )		: esc_html__( 'See Less', 'bosmarket' );
?>
<header id="header" class="header header-style5">
	<!-- Sidebar Top Menu -->
	<div class="header-top">
		<div class="container">	
			<?php if (is_active_sidebar('top6')) {?>	
			<div class="top-header">
				<?php dynamic_sidebar('top6'); ?>
			</div>
			<?php }?>
		</div>
	</div>
	<div class="header-mid">
		<div class="container">
			<div class="row">
				<!-- Logo -->
				<div class="top-logo col-lg-2 col-md-3 pull-left">
					<div class="bosmarket-logo">
						<?php bosmarket_logo(); ?>
					</div>
				</div>
				<?php if ( has_nav_menu('vertical_menu') ) {?>
				<div class="col-lg-2 col-md-3 col-sm-2 col-xs-2 vertical_megamenu vertical_megamenu-header pull-left">
					<div class="mega-left-title">
						<?php if ($bosmarket_title_text == "") { ?>
						<strong><?php esc_html_e('All Department','bosmarket'); ?></strong>
						<?php } else { ?>
						<strong><?php echo esc_html( $bosmarket_title_text ); ?></strong>
						<?php } ?>
					</div>
					<div class="vc_wp_custommenu wpb_content_element">
						<div class="wrapper_vertical_menu vertical_megamenu" data-number="<?php echo esc_attr( $bosmarket_menu_item ); ?>" data-moretext="<?php echo esc_attr( $bosmarket_more_text ); ?>" data-lesstext="<?php echo esc_attr( $bosmarket_less_text ); ?>">
							<?php wp_nav_menu(array('theme_location' => 'vertical_menu', 'menu_class' => 'nav vertical-megamenu')); ?>
						</div>
					</div>
				</div>
				<?php } ?>
				<?php if( !sw_options( 'disable_search' ) ) : ?>
					<div class="search-cate col-lg-6 col-md-6 col-sm-6 pull-left">
						<?php if( is_active_sidebar( 'search' ) && class_exists( 'sw_woo_search_widget' ) ): ?>
							<?php dynamic_sidebar( 'search' ); ?>
						<?php else : ?>
							<div class="widget revo_top non-margin pull-left">
								<div class="widget-inner">
									<?php get_template_part( 'widgets/sw_top/searchcate' ); ?>
								</div>
							</div>
						<?php endif; ?>
					</div>
				<?php endif; ?>
				<!-- Sidebar Top Menu -->
				<?php if (is_active_sidebar('mid-header4')) {?>
				<div  class="mid-header pull-right">
					<?php dynamic_sidebar('mid-header4'); ?>
				</div>
				<?php }?>
			</div>
		</div>
	</div>
	<div class="header-bottom">
		<div class="container">
			<div class="row">
				<!-- Sidebar Top Menu -->
				<?php if (is_active_sidebar('bottom-header4')) {?>
				<div  class="bottom-header">
					<?php dynamic_sidebar('bottom-header4'); ?>
				</div>
				<?php }?>
			</div>
		</div>
	</div>
	<?php if (is_active_sidebar('top-sticky2')) {?>	
	<div class="header-bar2">
		<?php dynamic_sidebar('top-sticky2'); ?>
	</div>
	<?php }?>
</header>