<?php 
/* 
** Content Header
*/
$bosmarket_colorset  	= sw_options('scheme');
$bosmarket_logo 		= sw_options('sitelogo');
$sticky_menu 			= sw_options( 'sticky_menu' );
$bosmarket_menu_item 	= ( sw_options( 'menu_number_item' ) ) ? sw_options( 'menu_number_item' ) : 8;
$bosmarket_title_text   = sw_options('menu_title_text');
$bosmarket_more_text 	= ( sw_options( 'menu_more_text' ) )	 ? sw_options( 'menu_more_text' )		: esc_html__( 'See More', 'bosmarket' );
$bosmarket_less_text 	= ( sw_options( 'menu_less_text' ) )	 ? sw_options( 'menu_less_text' )		: esc_html__( 'See Less', 'bosmarket' );
?>
<header id="header" class="header header-style6">
	<!-- Sidebar Top Menu -->
	<div class="header-top">
		<?php if (is_active_sidebar('top7')) {?>	
		<div class="top-header clearfix">
			<?php dynamic_sidebar('top7'); ?>
		</div>
		<?php }?>
		<div class="container">	
			<?php if (is_active_sidebar('top8')) {?>	
			<div class="top-header2 clearfix">
				<?php dynamic_sidebar('top8'); ?>
			</div>
			<?php }?>
		</div>
	</div>
	<div class="header-mid">
		<div class="container">
			<div class="row">
				<!-- Logo -->
				<div class="top-logo col-lg-3 col-md-3 pull-left">
					<div class="bosmarket-logo">
						<?php bosmarket_logo(); ?>
					</div>
				</div>
				<!-- Sidebar Top Menu -->
				<?php if (is_active_sidebar('mid-header4')) {?>
				<div  class="mid-header pull-right">
					<?php dynamic_sidebar('mid-header4'); ?>
				</div>
				<?php }?>
				<?php if( !sw_options( 'disable_search' ) ) : ?>
					<div class="search-cate col-lg-5 col-md-6 col-sm-6 pull-right">
						<?php if( is_active_sidebar( 'search' ) && class_exists( 'sw_woo_search_widget' ) ): ?>
							<?php dynamic_sidebar( 'search' ); ?>
						<?php else : ?>
							<div class="widget revo_top non-margin pull-right">
								<div class="widget-inner">
									<?php get_template_part( 'widgets/sw_top/searchcate' ); ?>
								</div>
							</div>
						<?php endif; ?>
					</div>
				<?php endif; ?>
			</div>
		</div>
	</div>
	<div class="header-bottom">
		<div class="container">
			<div class="row">
				<div class="top-logo col-lg-2 col-md-3 pull-left">
					<div class="bosmarket-logo">
						<?php bosmarket_logo(); ?>
					</div>
				</div>
				<?php if ( has_nav_menu('vertical_menu') ) {?>
				<div class="col-lg-2 col-md-3 col-sm-2 col-xs-2 vertical_megamenu vertical_megamenu-header pull-left">
					<div class="mega-left-title">
						<?php if ($bosmarket_title_text == "") { ?>
						<strong><?php esc_html_e('All Department','bosmarket'); ?></strong>
						<?php } else { ?>
						<strong><?php echo esc_html( $bosmarket_title_text ); ?></strong>
						<?php } ?>
					</div>
					<div class="vc_wp_custommenu wpb_content_element">
						<div class="wrapper_vertical_menu vertical_megamenu" data-number="<?php echo esc_attr( $bosmarket_menu_item ); ?>" data-moretext="<?php echo esc_attr( $bosmarket_more_text ); ?>" data-lesstext="<?php echo esc_attr( $bosmarket_less_text ); ?>">
							<?php wp_nav_menu(array('theme_location' => 'vertical_menu', 'menu_class' => 'nav vertical-megamenu')); ?>
						</div>
					</div>
				</div>
				<?php } ?>
				<!-- Primary navbar -->
				<?php if ( has_nav_menu('primary_menu') ) { ?>
				<div id="main-menu" class="main-menu col-lg-8 col-md-9 clearfix pull-left">
					<nav id="primary-menu" class="primary-menu">
						<div class="menu-header clearfix">
							<div class="navbar-inner navbar-inverse">
								<?php
								$bosmarket_menu_class = 'nav nav-pills';
								if ( 'mega' == sw_options('menu_type') ){
									$bosmarket_menu_class .= ' nav-mega';
								} else $bosmarket_menu_class .= ' nav-css';
								?>
								<?php wp_nav_menu(array('theme_location' => 'primary_menu', 'menu_class' => $bosmarket_menu_class)); ?>
							</div>
						</div>
					</nav>
				</div>			
				<?php } ?>
				<!-- /Primary navbar -->
				<?php if (is_active_sidebar('bottom-header6')) {?>	
				<div class="bottom-header clearfix">
					<?php dynamic_sidebar('bottom-header6'); ?>
				</div>
				<?php }?>
			</div>
		</div>
	</div>
</header>