<?php 
/**
* Layout Countdown Default
* @version     1.0.0
**/

$term_name = esc_html__( 'All Categories', 'sw_woocommerce' );
$default = array(
	'post_type' => 'product',	
	'meta_query' => array(
		array(
			'key' => '_sale_price',
			'value' => 0,
			'compare' => '>',
			'type' => 'DECIMAL(10,5)'
			),
		array(
			'key' => '_sale_price_dates_from',
			'value' => time(),
			'compare' => '<',
			'type' => 'NUMERIC'
			),
		array(
			'key' => '_sale_price_dates_to',
			'value' => time(),
			'compare' => '>',
			'type' => 'NUMERIC'
			)
		),
	'orderby' => $orderby,
	'order' => $order,
	'post_status' => 'publish',
	'showposts' => $numberposts	
	);
if( $category != '' ){
	if ( !is_array( $category) ){
		$category = explode( ',', $category );
	}
	$default['tax_query'] = array(
		array(
			'taxonomy'  => 'product_cat',
			'field'     => 'slug',
			'terms'     => $category ));
}
$default = sw_check_product_visiblity( $default );

$countdown_id = 'sw_tab_countdown_'.rand().time();
$countdown_id2 = 'sw_tab_countdown2_'.rand().time();
$list = new WP_Query( $default );
if ( $list -> have_posts() ){ ?>
<div id="<?php echo $countdown_id; ?>" class="sw_tab_countdown2">
	<?php if( $title1 != '' ){?>
	<div class="block-title">
		<h3><?php echo ( $title1 != '' ) ? $title1 : ''; ?></h3>
	</div>
	<?php } ?>
	<div  class="tab-countdown-slide clearfix">
		<div class="tab-content clearfix">
			<?php
			$count_items 	= 0;
			$numb 			= ( $list->found_posts > 0 ) ? $list->found_posts : count( $list->posts );
			$count_items 	= ( $numberposts >= $numb ) ? $numb : $numberposts;
			$i 				= 0;
			while($list->have_posts()): $list->the_post();
			global $product, $post;
			$start_time 	= get_post_meta( $post->ID, '_sale_price_dates_from', true );
			$countdown_date = get_post_meta( $post->ID, '_sale_price_dates_to', true );					
			$class 			= ( $product->get_price_html() ) ? '' : 'item-nonprice';
			?>
			<div class="tab-pane <?php echo ( $i == 0 ) ? 'active' : ''; ?>" id="<?php echo 'product_tab_'.$post->ID; ?>" >
				<div class="item-wrap">
					<div class="item-detail">	
						<div class="item-info">
							<div class="countdown-left">
								<div class="product-countdown" data-date="<?php echo esc_attr( $countdown_date ); ?>"  data-starttime="<?php echo esc_attr( $start_time ); ?>"></div>							
							</div>	
							<div class="item-img products-thumb">
								<a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>">
									<?php 
									if ( has_post_thumbnail() ){
										echo get_the_post_thumbnail( $post->ID, 'bosmarket_shop-image2', array( 'alt' => get_the_title() ) ) ? get_the_post_thumbnail( $post->ID, 'bosmarket_shop-image2', array( 'alt' => get_the_title() ) ): '<img src="'.get_template_directory_uri().'/assets/img/placeholder/'.'large'.'.png" alt="No thumb">';		
									}else{
										echo '<img src="'.get_template_directory_uri().'/assets/img/placeholder/'.'large'.'.png" alt="No thumb">';
									}
									?>
								</a>
								<?php sw_label_sales() ?>
							</div>
						</div>
						<div class="item-content">
							<h4><a href="<?php the_permalink(); ?>" title="<?php the_title_attribute();?>"><?php the_title(); ?></a></h4>
							<div class="description"><?php echo $post->post_excerpt; ?></div>
							<!-- rating -->
							<?php 
							$rating_count = $product->get_rating_count();
							$review_count = $product->get_review_count();
							$average      = $product->get_average_rating();
							?>
							<div class="reviews-content">
								<div class="star"><?php echo ( $average > 0 ) ?'<span style="width:'. ( $average*14 ).'px"></span>' : ''; ?></div>
							</div>	
							<!-- end rating -->
							<!-- price -->
							<?php if ( $price_html = $product->get_price_html() ){?>
							<div class="item-price">
								<span>
									<?php echo $price_html; ?>
								</span>
							</div>
							<?php } ?>
							<div class="item-bottom">
								<?php woocommerce_template_loop_add_to_cart(); ?>
								<?php
								if ( class_exists( 'YITH_WCWL' ) ){
									echo do_shortcode( "[yith_wcwl_add_to_wishlist]" );
								} ?>
								<?php if ( class_exists( 'YITH_WOOCOMPARE' ) ){ 
								?>
									<a href="javascript:void(0)" class="compare button"  title="<?php esc_html_e( 'Add to Compare', 'sw_woocommerce' ) ?>" data-product_id="<?php echo esc_attr($post->ID); ?>" rel="nofollow"> <?php esc_html('compare','sw-woocomerce'); ?></a>
								<?php } ?>								
								<?php echo bosmarket_quickview(); ?>
							</div>					
						</div>		
					</div>
				</div>
			</div>
				<?php
				$i++; endwhile; wp_reset_postdata();
				?>
		

			<div class="top-tab-slider clearfix">	
				<div id="<?php echo 'tab_' . $countdown_id; ?>" class="sw-tab-slider responsive-slider loading hidden-xs" data-lg="5" data-md="5" data-sm="4" data-xs="4" data-mobile="2" data-speed="<?php echo esc_attr( $speed ); ?>" data-scroll="<?php echo esc_attr( $scroll ); ?>" data-interval="<?php echo esc_attr( $interval ); ?>" data-autoplay="false" data-vertical="false">
					<ul class="nav nav-tabs slider responsive">
						<?php
						$i = 0;
						while($list->have_posts()): $list->the_post();	
						global $product, $post;
						?>
						<li <?php echo ( $i == 0 )? 'class="item active"' : 'class="item"'; ?>>
							<a href="#<?php echo 'product_tab_'.$post->ID; ?>" data-toggle="tab">
								<?php echo get_the_post_thumbnail( $post->ID, 'shop_catalog' ); ?>
							</a>
						</li>
						<?php
						$i++; endwhile; wp_reset_postdata();
						?>
					</ul>
				</div>
			</div>

		</div>
	</div>
</div>
	<?php
} 
?>