<?php 

/**
	* Layout Child Category 1
	* @version     1.0.0
**/
if( $category == '' ){
	return '<div class="alert alert-warning alert-dismissible" role="alert">
		<a class="close" data-dismiss="alert">&times;</a>
		<p>'. esc_html__( 'Please select a category for SW Woo Slider. Layout ', 'sw_woocommerce' ) . $layout .'</p>
	</div>';
}

$widget_id = $this->generateID();
$viewall = get_permalink( wc_get_page_id( 'shop' ) );
$default = array();
if( $category != '' ){
	$default = array(
		'post_type' => 'product',
		'tax_query' => array(
		array(
			'taxonomy'  => 'product_cat',
			'field'     => 'slug',
			'terms'     => $category ) ),
		'orderby' => $orderby,
		'order' => $order,
		'post_status' => 'publish',
		'showposts' => $numberposts
	);
}

$term_name = '';
$category_color = '';
$term = get_term_by( 'slug', $category, 'product_cat' );

if( $term ) :
	$term_name = $term->name;
	$viewall = get_term_link( $term->term_id, 'product_cat' );
	$category_color =  get_term_meta( $term->term_id, 'ets_cat_color', true );
endif;

$list = new WP_Query( $default );

if ( $list -> have_posts() ){ 
	$x_array = array();
	$key = 0;
	foreach( $list->posts as $item ){
		$m_array = array();
		$terms = get_the_terms( $item->ID, 'product_brand' );
		if( $terms ){
			foreach( $terms as $x => $bterm ){
				$m_array[$x] = $bterm -> term_id;
			}
			$x_array[$key] = implode( ',', $m_array );
			$key ++; 
		}		
	}
	$z_array = implode( ',', $x_array );
?>
	<div id="<?php echo 'slider_' . $widget_id; ?>" class="responsive-slider woo-slider-default sw-child-cat5 clearfix <?php echo esc_attr( $style );?> loading" data-lg="<?php echo esc_attr( $columns ); ?>" data-md="<?php echo esc_attr( $columns1 ); ?>" data-sm="<?php echo esc_attr( $columns2 ); ?>" data-xs="<?php echo esc_attr( $columns3 ); ?>" data-mobile="<?php echo esc_attr( $columns4 ); ?>" data-speed="<?php echo esc_attr( $speed ); ?>" data-scroll="<?php echo esc_attr( $scroll ); ?>" data-interval="<?php echo esc_attr( $interval ); ?>"  data-autoplay="<?php echo esc_attr( $autoplay ); ?>">
		<?php 
		$banner_links = explode( ',', $banner_links );
		if( $image != '' ) :
			$image = explode( ',', $image );	
		endif;
		if( count( $image ) > 0 && count( $banner_links ) == count( $image ) ) :
		?>
		<div class="category-image pull-left">
			<?php foreach( $image as $key => $img ) : ?>
				<div class="item">
					<a href="<?php echo esc_url( $banner_links[$key] ); ?>"><?php echo wp_get_attachment_image( $img, 'full' ); ?></a>
				</div>
			<?php endforeach;?>						
		</div>
		<?php endif; ?>
		<div class="content-slider pull-left clearfix">
			<?php 
				if( $term ) :
					$termchild 		= get_terms( 'product_cat', array( 'parent' => $term->term_id, 'hide_empty' => 0, 'number' => $number_child ) );
					if( count( $termchild ) > 0 ){
			?>			
				<div class="childcat-content"  id="<?php echo 'child_' . $widget_id; ?>">
					<?php 					
						echo '<ul>';
						foreach ( $termchild as $key => $child ) {
							echo '<li><a href="' . get_term_link( $child->term_id, 'product_cat' ) . '">' . $child->name . '</a></li>';
						}
						echo '</ul>';
					?>
				</div>
				<?php } ?>
			<?php endif; ?>
			<div class="childcat-slider-content clearfix">			
				<!-- slider content -->
				<div class="resp-slider-container">
					<div class="slider responsive">	
					<?php 
						$count_items 	= 0;
						$numb 			= ( $list->found_posts > 0 ) ? $list->found_posts : count( $list->posts );
						$count_items 	= ( $numberposts >= $numb ) ? $numb : $numberposts;
						$i 				= 0;
						while($list->have_posts()): $list->the_post();global $product, $post;
						$class = ( $product->get_price_html() ) ? '' : 'item-nonprice';
						if( $i % $item_row == 0 ){
					?>
						<div class="item item-countdown-cat<?php echo esc_attr( $class )?> product">
					<?php } ?>
						<div class="item-wrap">
							<div class="item-detail">										
								<div class="item-img products-thumb">			
									<a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>">
										<?php 
											$id = get_the_ID();
											if ( has_post_thumbnail() ){
													echo get_the_post_thumbnail( $post->ID, 'shop_catalog' ) ? get_the_post_thumbnail( $post->ID, 'shop_catalog' ): '<img src="'.get_template_directory_uri().'/assets/img/placeholder/'.'large'.'.png" alt="No thumb">';		
											}else{
												echo '<img src="'.get_template_directory_uri().'/assets/img/placeholder/'.'large'.'.png" alt="No thumb">';
											}
										?>
									</a>
									<?php echo bosmarket_quickview();?>
									<?php sw_label_sales() ?>
								</div>													
								<div class="item-content">
									<?php
									$rating_count = $product->get_rating_count();
									$review_count = $product->get_review_count();
									$average      = $product->get_average_rating();
									?>
									<div class="reviews-content">
										<div class="star"><?php echo ( $average > 0 ) ?'<span style="width:'. ( $average*13 ).'px"></span>' : ''; ?></div>
									</div>
									<h4>
										<a href="<?php echo get_the_permalink( $post->ID ); ?>" title="<?php echo get_the_title( $post->ID );?>">
											<?php echo get_the_title( $post->ID ); ?>
										</a>
									</h4>
									<?php if ( $price_html = $product->get_price_html() ){?>
									<div class="item-price">
										<span>
											<?php echo $price_html; ?>
										</span>
									</div>
									<?php } ?>
									<!-- add to cart, wishlist, compare -->
									<div class="item-bottom clearfix">
										<?php woocommerce_template_loop_add_to_cart(); ?>
										<?php
										if ( class_exists( 'YITH_WCWL' ) ){
											echo do_shortcode( "[yith_wcwl_add_to_wishlist]" );
										} ?>
										<?php if ( class_exists( 'YITH_WOOCOMPARE' ) ){ 
											?>
										<a href="javascript:void(0)" class="compare button"  title="<?php esc_html_e( 'Add to Compare', 'sw_woocommerce' ) ?>" data-product_id="<?php echo esc_attr($post->ID); ?>" rel="nofollow"> <?php esc_html('compare','sw-woocomerce'); ?></a>
										<?php } ?>												
									</div>
								</div>
							</div>
						</div>
						<?php if( ( $i+1 ) % $item_row == 0 || ( $i+1 ) == $count_items ){?> </div><?php } ?>
						<?php $i++; endwhile; wp_reset_postdata();?>
					</div>
				</div> 
				<!-- Brand -->
				<?php if( count( $x_array ) > 0 ) : ?>
					<div class="child-cat-brand clearfix">
						<div class="wrap-brand">
							<?php 
								$x_array = array_unique( explode( ',', $z_array ) );
								foreach( $x_array as $key => $cat ) {
								if( $key > 5 ){
									break;
								}
									$thumbnail_id 	= absint( get_term_meta( intval( $cat ), 'thumbnail_bid', true ) );
									$thumb = wp_get_attachment_image( $thumbnail_id, array(170, 90) );
									$thubnail = ( $thumb != '' ) ? $thumb : '<img src="http://placehold.it/170x90" alt=""/>';
							?>
							<div class="item-brand">
								<a href="<?php echo get_term_link( intval( $cat ), 'product_brand' ); ?>"><?php echo $thubnail ?></a>
							</div>
							<?php
								}
							?>
						</div>
					</div>
				<?php endif; ?>
			</div>
		</div>
	</div>
	<?php
	}else{
		echo '<div class="alert alert-warning alert-dismissible" role="alert">
		<a class="close" data-dismiss="alert">&times;</a>
		<p>'. esc_html__( 'Has no product in this category', 'sw_woocommerce' ) .'</p>
	</div>';
	}
?>
<script type="text/javascript">
	(function($){
		$(window).on( 'load',function(){
			$( '.child-top' ).each(function(){
				var data = $(this).data( 'color' );
				if( data != '' ){
					$(this).css( 'background', data );
					$(this).find( '.view-all > a' ).css( 'color', data );
				}
			});
		});
	})(jQuery);
</script>