<?php 

/**
* Layout Tab Category Default
* @version     1.0.0
**/


$widget_id = $this->generateID();
if( $category == '' ){
	return '<div class="alert alert-warning alert-dismissible" role="alert">
	<a class="close" data-dismiss="alert">&times;</a>
	<p>'. esc_html__( 'Please select a category for SW Woocommerce Tab Category Slider. Layout ', 'sw_woocommerce' ) . $layout .'</p>
	</div>';
}
if( !is_array( $category ) ){
	$category = explode( ',', $category );
}
?>
<div class="sw-woo-tab-cat7 sw-ajax" id="<?php echo esc_attr( 'category_' . $widget_id ); ?>" >
	<div class="resp-tab" style="position:relative;">
		<div class="top-tab-slider clearfix">
			<div class="block-title"><?php echo ( $title1 != '' ) ? '<h3>'. esc_html( $title1 ) .'</h3>' : ''; ?></div>
			<button class="button-collapse collapsed pull-left" type="button" data-toggle="collapse" data-target="#<?php echo 'nav_'.$widget_id; ?>"  aria-expanded="false">				
			</button>
			<ul class="nav nav-tabs" id="<?php echo 'nav_'.$widget_id; ?>">
				<?php 
				$i = 1;
				foreach($category as $cat){
					$terms = get_term_by('slug', $cat, 'product_cat');
					if( $terms != NULL ){			
						?>
						<li class="<?php if( $i == $tab_active ){echo 'active loaded'; }?>">
							<a href="#<?php echo esc_attr( $cat. '_' .$widget_id ) ?>" data-type="tab_ajax" data-layout="<?php echo esc_attr( isset( $widget_template ) ? $widget_template : $layout );?>" data-row="<?php echo esc_attr( $item_row ) ?>" data-length="<?php echo esc_attr( $title_length ) ?>" data-ajaxurl="<?php echo esc_url( sw_ajax_url() ) ?>" data-category="<?php echo esc_attr( $cat ) ?>" data-toggle="tab" data-sorder="<?php echo esc_attr( $select_order ); ?>" data-catload="ajax" data-number="<?php echo esc_attr( $numberposts ); ?>" data-lg="<?php echo esc_attr( $columns ); ?>" data-md="<?php echo esc_attr( $columns1 ); ?>" data-sm="<?php echo esc_attr( $columns2 ); ?>" data-xs="<?php echo esc_attr( $columns3 ); ?>" data-mobile="<?php echo esc_attr( $columns4 ); ?>" data-speed="<?php echo esc_attr( $speed ); ?>" data-scroll="<?php echo esc_attr( $scroll ); ?>" data-interval="<?php echo esc_attr( $interval ); ?>"  data-autoplay="<?php echo esc_attr( $autoplay ); ?>">
								<?php echo $terms->name; ?>
							</a>
						</li>	
						<?php $i ++; ?>
						<?php } } ?>
					</ul>
				</div>
				<div class="tab-content">
					<?php 
					$active = ( $tab_active - 1 >= 0 ) ? $tab_active - 1 : 0;
					$default = array();
					if( $select_order == 'latest' ){
						$default = array(
							'post_type'	=> 'product',
							'tax_query'	=> array(
								array(
									'taxonomy'	=> 'product_cat',
									'field'		=> 'slug',
									'terms'		=> $category[$active])),
							'orderby' => 'date',
							'order' => $order,
							'post_status' => 'publish',
							'showposts' => $numberposts
						);
					}
					if( $select_order == 'rating' ){
						$default = array(
							'post_type' 			=> 'product',
							'post_status' 			=> 'publish',
							'ignore_sticky_posts'   => 1,
							'tax_query'	=> array(
								array(
									'taxonomy'	=> 'product_cat',
									'field'		=> 'slug',
									'terms'		=> $category[$active])),
							'orderby' 				=> $orderby,
							'order'					=> $order,
							'showposts' 		=> $numberposts,
						);
						if( sw_woocommerce_version_check( '3.0' ) ){	
							$default['meta_key'] = '_wc_average_rating';	
							$default['orderby'] = 'meta_value_num';
						}else{	
							add_filter( 'posts_clauses',  array( WC()->query, 'order_by_rating_post_clauses' ) );
						}
					}
					if( $select_order == 'bestsales' ){
						$default = array(
							'post_type' 			=> 'product',
							'post_status' 			=> 'publish',
							'ignore_sticky_posts'   => 1,
							'tax_query'	=> array(
								array(
									'taxonomy'	=> 'product_cat',
									'field'		=> 'slug',
									'terms'		=> $category[$active])),
							'paged'	=> 1,
							'showposts'				=> $numberposts,
							'meta_key' 		 		=> 'total_sales',
							'orderby' 		 		=> 'meta_value_num',					
						);
					}
					if( $select_order == 'featured' ){
						$default = array(
							'post_type'				=> 'product',
							'post_status' 			=> 'publish',
							'tax_query'	=> array(
								array(
									'taxonomy'	=> 'product_cat',
									'field'		=> 'slug',
									'terms'		=> $category[$active])),
							'ignore_sticky_posts'	=> 1,
							'posts_per_page' 		=> $numberposts,
							'orderby' 				=> $orderby,
							'order' 				=> $order,					
						);
						if( sw_woocommerce_version_check( '3.0' ) ){	
							$default['tax_query'][] = array(						
								'taxonomy' => 'product_visibility',
								'field'    => 'name',
								'terms'    => 'featured',
								'operator' => 'IN',	
							);
						}else{
							$default['meta_query'] = array(
								array(
									'key' 		=> '_featured',
									'value' 	=> 'yes'
								)					
							);				
						}
					}
					$list = new WP_Query( $default );
					if( $select_order == 'rating' && ! sw_woocommerce_version_check( '3.0' ) ){			
						remove_filter( 'posts_clauses',  array( WC()->query, 'order_by_rating_post_clauses' ) );
					}
					$term = get_term_by('slug', $category[$active], 'product_cat');
					?>
					<div class="tab-pane active" id="<?php echo esc_attr( $category[$active]. '_' .$widget_id ) ?>">
						<?php global $post, $product, $woocommerce; ?>
						<?php if( $list->have_posts() ) : ?>
							<div id="<?php echo esc_attr( 'tab_cat_'. $category[$active]. '_' .$widget_id ); ?>" class="woo-tab-container-slider responsive-slider featured-category-product loading clearfix" data-lg="<?php echo esc_attr( $columns ); ?>" data-md="<?php echo esc_attr( $columns1 ); ?>" data-sm="<?php echo esc_attr( $columns2 ); ?>" data-xs="<?php echo esc_attr( $columns3 ); ?>" data-mobile="<?php echo esc_attr( $columns4 ); ?>" data-speed="<?php echo esc_attr( $speed ); ?>" data-scroll="<?php echo esc_attr( $scroll ); ?>" data-interval="<?php echo esc_attr( $interval ); ?>"  data-autoplay="<?php echo esc_attr( $autoplay ); ?>">
								<div class="resp-slider-container featured-resp-slider-container clearfix">			
									<div class="slider responsive">
										<?php 
										$count_items 	= 0;
										$numb 			= ( $list->found_posts > 0 ) ? $list->found_posts : count( $list->posts );
										$count_items 	= ( $numberposts >= $numb ) ? $numb : $numberposts;
										$i 				= 0;
										$j				= 0;
										while($list->have_posts()): $list->the_post();
											global $product, $post, $woocommerce;
											$start_time = get_post_meta( $post->ID, '_sale_price_dates_from', true );			
											$symboy = get_woocommerce_currency_symbol( get_woocommerce_currency() );
											$class = ( $product->get_price_html() ) ? '' : 'item-nonprice';
											if( $i % $item_row2 == 0 ){
												?>
													<div class="item item-countdown <?php echo 'item-'.esc_attr( $item_row2 ).'columns' ?> <?php echo esc_attr( $class )?> clearfix">
									<?php } ?>
									<?php if( $i % $item_row2 == 0 ):?>
									<div class="item-wrap first-item product-images">
										<div class="item-detail">
											<?php 
											$attachments = array();
											if( has_post_thumbnail() ){ 
											$attachments = ( sw_woocommerce_version_check( '3.0' ) ) ? $product->get_gallery_image_ids() : $product->get_gallery_attachment_ids();
											$image_id 	 = get_post_thumbnail_id();
											array_unshift( $attachments, $image_id );
											?>
											<!-- Image Slider -->
											<a href="<?php echo get_the_permalink( $post->ID ); ?> ">
												<div class="slider product-responsive">
													<?php foreach ( $attachments as $key => $attachment ) { ?>
													<div class="item-img-slider">
														<?php if ($product->is_on_sale()) : ?>
															<?php echo apply_filters('woocommerce_sale_flash', '<span class="onsale">'.esc_html__( 'Sale', 'sw_woocommerce' ).'</span>', $post, $product); ?>
															<?php sw_label_sales();?>
														<?php endif; ?>					
														<?php echo wp_get_attachment_image( $attachment, 'shop_single' ); ?>
													</div>
													<?php } ?>									
												</div>
											</a>
											<!-- Thumbnail Slider -->
											<?php } ?>
											<?php
											if ( count( $attachments ) > 0 ) {							
												?>
												<div class="slider product-responsive-thumbnail" id="product_thumbnail_<?php echo esc_attr( $post->ID ); ?>">
													<?php foreach ( $attachments as $attachment_id ) { ?>
													<div class="item-thumbnail-product">
														<div class="thumbnail-wrapper">
															<?php
															$image = wp_get_attachment_image( $attachment_id, apply_filters( 'single_product_small_thumbnail_size', 'shop_thumbnail' ) );	
															echo $image;
															?>
														</div>
													</div>
													<?php
												}
												?>
											</div>
											<?php }	?>
											<div class="item-content">
												<?php
												$rating_count = $product->get_rating_count();
												$review_count = $product->get_review_count();
												$average      = $product->get_average_rating();
												?>
												<div class="reviews-content">
													<div class="star"><?php echo ( $average > 0 ) ?'<span style="width:'. ( $average*13 ).'px"></span>' : ''; ?></div>
												</div>
												<h4>
													<a href="<?php echo get_the_permalink( $post->ID ); ?>" title="<?php echo get_the_title( $post->ID );?>">
														<?php echo get_the_title( $post->ID ); ?>
													</a>
												</h4>
												<?php if ( $price_html = $product->get_price_html() ){?>
												<div class="item-price">
													<span>
														<?php echo $price_html; ?>
													</span>
												</div>
												<?php } ?>
												<!-- add to cart, wishlist, compare -->
												<div class="item-bottom clearfix">
													<?php woocommerce_template_loop_add_to_cart(); ?>
													<?php
													if ( class_exists( 'YITH_WCWL' ) ){
														echo do_shortcode( "[yith_wcwl_add_to_wishlist]" );
													} ?>
													<?php if ( class_exists( 'YITH_WOOCOMPARE' ) ){ 
														?>
													<a href="javascript:void(0)" class="compare button"  title="<?php esc_html_e( 'Add to Compare', 'sw_woocommerce' ) ?>" data-product_id="<?php echo esc_attr($post->ID); ?>" rel="nofollow"> <?php esc_html('compare','sw-woocomerce'); ?></a>
													<?php } ?>												
												</div>
											</div>
										</div>
									</div>					
									<?php else: ?>
										<div class="item-wrap <?php echo ( $i % $item_row2 == 0 ) ? 'first-item' : ''; ?>">
											<div class="item-detail">										
												<div class="item-img products-thumb">			
													<a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>">
														<?php 
														$id = get_the_ID();
														if ( has_post_thumbnail() ){
															echo get_the_post_thumbnail( $post->ID, 'shop_catalog' ) ? get_the_post_thumbnail( $post->ID, 'shop_catalog' ): '<img src="'.get_template_directory_uri().'/assets/img/placeholder/'.'large'.'.png" alt="No thumb">';		
														}else{
															echo '<img src="'.get_template_directory_uri().'/assets/img/placeholder/'.'large'.'.png" alt="No thumb">';
														}
														?>
													</a>
													<?php sw_label_sales();?>
													<?php echo bosmarket_quickview(); ?>
												</div>							
												<div class="item-content">
													<!-- rating  -->
													<?php 
													$rating_count = $product->get_rating_count();
													$review_count = $product->get_review_count();
													$average      = $product->get_average_rating();
													?>
													<div class="reviews-content">
														<div class="star"><?php echo ( $average > 0 ) ?'<span style="width:'. ( $average*13 ).'px"></span>' : ''; ?></div>
													</div>									
													<!-- end rating  -->
													<h4><a href="<?php the_permalink(); ?>" title="<?php the_title_attribute();?>"><?php sw_trim_words( get_the_title(), $title_length ); ?></a></h4>								
													<!-- price -->
													<?php if ( $price_html = $product->get_price_html() ){?>
													<div class="item-price">
														<span>
															<?php echo $price_html; ?>
														</span>
													</div>
													<?php } ?>	
													<!-- add to cart, wishlist, compare -->
													<div class="item-bottom clearfix">
														<?php woocommerce_template_loop_add_to_cart(); ?>
														<?php
														if ( class_exists( 'YITH_WCWL' ) ){
															echo do_shortcode( "[yith_wcwl_add_to_wishlist]" );
														} ?>
														<?php if ( class_exists( 'YITH_WOOCOMPARE' ) ){ 
															?>
														<a href="javascript:void(0)" class="compare button"  title="<?php esc_html_e( 'Add to Compare', 'sw_woocommerce' ) ?>" data-product_id="<?php echo esc_attr($post->ID); ?>" rel="nofollow"> <?php esc_html('compare','sw-woocomerce'); ?></a>
														<?php } ?>												
													</div>
												</div>
											</div>
										</div>
									<?php endif; ?>
									<?php if( ( $i+1 ) % $item_row2 == 0 || ( $i+1 ) == $count_items ){?> </div><?php } ?>
													<?php $i++; $j++; endwhile; wp_reset_postdata();?>
												</div>
											</div>				
										</div>							
										<?php 
									else :
										echo '<div class="alert alert-warning alert-dismissible" role="alert">
										<a class="close" data-dismiss="alert">&times;</a>
										<p>'. esc_html__( 'There is not product on this tab', 'sw_woocommerce' ) .'</p>
										</div>';
									endif;
									?>
								</div>
							</div>
						</div>
					</div>